import QtQuick 2.1

Item {
    id: root
    property var buttons: []
    property bool exclusive: false
    property int checkedIndex: -1
    
    property var checkedState: {
        var result = []
        for(var i = 0; i < buttons.length; i++)
        {
            result.push(false)
        }
        return result
    }
    property var pressedState: {
        var result = []
        for(var i = 0; i < buttons.length; i++)
        {
            result.push(false)
        }
        return result
    }
    signal clicked(int index)
    signal pressed(int index)
    
    
    Repeater {
        model: buttons.length
        Item {
            property var button: buttons[model.index]
            Connections {
                target: button
                onPressedChanged: {
                    if(button.pressed && button.checkable) {
                        if(root.exclusive) {
                            checkedIndex = index
                        } else {
                            checkedState[index] = !checkedState[index]
                            checkedState = checkedState   
                        }
                    }
                    if(button.pressed) root.pressed(model.index)
                    root.pressedState[model.index] = button.pressed
                    root.pressedState = root.pressedState
                }
                onClicked: {
                    root.clicked(model.index)
                }
                onCheckedChanged: {
                    button.checked = root.checkedState[model.index]
                }                
            }
            Binding {
                target: button
                property: "checked"
                value: root.checkedState[model.index]
            }
        }
    }
    
    Binding on checkedState {
        value: {
            var result = []
            for(var i = 0; i < buttons.length; i++) {
                result.push(i == checkedIndex)
            }
            return result
        }
        when: root.exclusive
    }    
    
}
