import QtQuick 2.3

ShaderEffect
{
	property color colorBlack: "#726a5c"
	property color colorWhite: "#857c6b"
	property real checkSize: 7
    
	readonly property vector2d size: Qt.vector2d(width, height)
	fragmentShader: "
		varying highp vec2 qt_TexCoord0;
		uniform lowp float qt_Opacity;
		uniform highp vec2 size;
		uniform highp vec4 colorBlack;
		uniform highp vec4 colorWhite;
		uniform highp float checkSize;
		
		void main()
		{			
			highp vec2 pos = floor(qt_TexCoord0 * size / vec2(checkSize, checkSize));
			highp float a = mod(pos.x + pos.y, 2.0);
			highp vec4 color = mix(colorBlack, colorWhite, a);
            color.a = 1.0;
			gl_FragColor = color * qt_Opacity;							
		}"
}