import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Private 1.0
import GuiControls 1.0

Button {
    id: root
    property Component panelStyle: {
        if(parent && parent.hasOwnProperty("_collapsiblePanelStyle")) return parent._collapsiblePanelStyle
        var styleName = Settings.style.toString().split('/').pop()
        var componentName = styleName == "ECGStyle" ? "CollapsiblePanelStyleECG.qml" : "CollapsiblePanelStyle.qml"
        return Qt.createComponent(componentName, root)
    }    
    
    property CollapsiblePanelStyle _panelStyle: panelStyleLoader.item

    Loader {
        id: panelStyleLoader
        sourceComponent: root.panelStyle
    }    

    style: _panelStyle.headerButtonStyle
    
    iconSource: iconName && _panelStyle.buttonIconFolder.toString() != "" ? _panelStyle.buttonIconFolder + iconName + ".png" : ""
}