import QtQuick 2.1
import QtQuick.Controls.Private 1.0
import QtQuick.Controls.Styles 1.1

QtObject {
    id: root
    property color headerColor: "white"
    property color headerColor2: Qt.rgba(190/255, 190/255, 190/255)
    property color textColor: "black"
    property color disabledTextColor: Qt.rgba(100/255, 100/255, 100/255)
    property url expanderImageUrl: "expander_black.png"
    property int cornerRadius: 2	
    
    property int headerButtonSpacing: 2
    property int headerItemSpacing: 5  
    property int headerVerticalOffsetOnPressing: 0
    
    property url buttonIconFolder
    
    property Component headerBackground: Rectangle {
        implicitHeight: Math.max(22, Math.round(TextSingleton.implicitHeight * 1.2))
        radius: root.cornerRadius
        gradient: Gradient {
            GradientStop { position: 0.0; color: styleData.pressed ? root.headerColor2 : root.headerColor }
            GradientStop { position: 1.0; color: styleData.pressed ? root.headerColor : root.headerColor2  }
        }        
    }
    
    property Component headerTitle: Text {
        text: styleData.title
        color: control.enabled ? root.textColor : root.disabledTextColor
        elide: Text.ElideRight
        renderType: Text.NativeRendering        
        verticalAlignment: Text.AlignVCenter
    }
    
    property Component expander: Image {
        source: root.expanderImageUrl
        rotation: styleData.expanded ? 90 : 0
        Behavior on rotation {
            NumberAnimation { duration: 200 }
        }        
    }
    
    property Component headerButtonStyle: ButtonStyle {
        padding.top: 0
        padding.bottom: 0
        background: Rectangle {
            implicitHeight: Math.max(22, Math.round(TextSingleton.implicitHeight * 1.2))
            implicitWidth: Math.round(TextSingleton.implicitHeight * 3)
            radius: root.cornerRadius
            gradient: Gradient {
                GradientStop { position: 0.0; color: control.pressed ? root.headerColor2 : root.headerColor }
                GradientStop { position: 1.0; color: control.pressed ? root.headerColor : root.headerColor2  }
            }    
        }
        
        label: Text {
            text: control.text
            color: control.enabled ? root.textColor : root.disabledTextColor
            renderType: Text.NativeRendering        
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
        }

    }
}
