import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Private 1.0
import QtQuick.Layouts 1.0
import GuiControls 1.0

CollapsiblePanel
{
    id: root
    leftSpacing: 20
    rightSpacing: 0
    topSpacing: 5
    bottomSpacing: 5
    height: 25

    //props for right-aligned Commands --------------------------------------------------------------------
    property var commandModel:
    ListModel
    {
        //ListElement {  command: "cmd1"; prompt: "Command for 1"   }
        function cmdAction(ind)   { print("Selected command #" + ind);  }
    }

    //props for left Checker -------------------------------------------------------------------------------
    property var    checkObject: null
    property string checkProperty: ""

    header:  Component
    {
        id: compositHeader
        RowLayout
        {
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
            anchors.margins: headerMargins
            spacing: 4
            CheckBox
            {
                visible: root.checkObject!=null
                Layout.fillWidth: false
                Layout.alignment: Qt.AlignVCenter | Qt.AlignLeft
                implicitWidth: 15
                Binding on checked
                {
                    value: (root.checkObject && root.checkObject[root.checkProperty] != undefined)? (root.checkObject[root.checkProperty]) : 0
                }
                onCheckedChanged:
                {
                    focus = true
                    if (!root.checkObject)
                        return
                    if (root.checkObject[root.checkProperty] == undefined)
                        return
                    if ((root.checkObject[root.checkProperty] ) != checked)
                        root.checkObject[root.checkProperty] = checked
                }
            }
            Label
            {
                Layout.fillWidth: true
                Layout.alignment: Qt.AlignVCenter| Qt.AlignLeft

                text: root.title
                color: root.style.textColor
                renderType: Text.NativeRendering
            }
            Repeater
            {
                model: commandModel
                HyperLinkLabel
                {
                    Layout.fillWidth: false
                    Layout.fillHeight: false
                    Layout.alignment: Qt.AlignVCenter | Qt.AlignRight
                    color: collapsibleItem.style.textColor
                    renderType: Text.NativeRendering
                    text: command
                    onClicked: { if (commandModel!=null) commandModel.cmdAction(index); }
                }
            }
            Item
            {
                width:1
                Layout.fillWidth: false
                Layout.alignment: Qt.AlignRight
            }
        }
    }
}
