import QtQuick 2.3
import QtQuick.Controls 1.2
import QtQuick.Layouts 1.1
import GuiControls 1.0

Item
{
	id: root  
	property Component headerDelegate
	property Component bodyDelegate
	clip: true
	property alias collapsibleItem: collapsibleItem
	implicitWidth: loader.implicitWidth
	implicitHeight: collapsibleItem.y + collapsibleItem.implicitHeight
	ColumnLayout 
	{
		anchors.fill: parent
		
		Loader 
		{
			id: loader
			Layout.fillWidth: true
			Layout.fillHeight: false
			Layout.minimumWidth: 0
			Layout.minimumHeight: 0
			sourceComponent: headerDelegate			
			property CollapsibleItem collapsibleItem: root.collapsibleItem
		}
		
		CollapsibleItem
		{
			id: collapsibleItem
			Layout.fillWidth: true
			Layout.fillHeight: true
			Layout.minimumWidth: 0
			Layout.minimumHeight: 0
			collapsedHeight: 0
			collapsedWidth: 0  
			orientation: Qt.Vertical
			
			Loader 
			{
				anchors.fill: parent
				sourceComponent: bodyDelegate
			}
		}
	}
}