import QtQuick 2.3
import QtQuick.Controls 1.1

ColorWheel {
    id: root
	property real colorValue: 1.0
	contentItem: 
		ShaderEffect
		{
			
			id: shaderEffect
			anchors.fill: parent
			property real kValue: root.colorValue
			fragmentShader: "
				varying highp vec2 qt_TexCoord0;
				uniform lowp float qt_Opacity;			
				uniform lowp float kValue;
				
				#define pi 3.141592653589793238462643383279
				
				highp vec3 hsv2rgb(highp vec3 c)
				{
					highp vec4 K = vec4(1.0, 2.0 / 3.0, 1.0 / 3.0, 3.0);
					highp vec3 p = abs(fract(c.xxx + K.xyz) * 6.0 - K.www);
					return c.z * mix(K.xxx, clamp(p - K.xxx, 0.0, 1.0), c.y);
				}
				
				void main()
				{			
					highp vec2 pos = (qt_TexCoord0 - vec2(0.5, 0.5)) * vec2(2, 2);
					highp float radius = sqrt(dot(pos, pos));
					if (radius > 1.0)
						discard;
					highp float angle = 1.0 - (atan(pos.x, pos.y) + pi) / (pi * 2.0);					
					gl_FragColor = vec4(hsv2rgb(vec3(angle, radius, kValue)), 1.0) * qt_Opacity;										
				}"
			
			Rectangle
			{
				anchors.fill: parent
				radius: width
				color: "transparent"
				border.width: 1
				border.color: "grey"
			}			
		}	
}