function saturate(v) {
	if(v < 0) return 0
	if(v > 1) return 1
	return v
}

function rgbToYuv(color) {
    var ITU709_KB = 0.0722
    var ITU709_KR = 0.2126
    var ITU709_KG = 1.0 - ITU709_KB - ITU709_KR
    var ITU709_IB = 1.0 - ITU709_KB
    var ITU709_IR = 1.0 - ITU709_KR
	var y = saturate(color.r * ITU709_KR + color.g * ITU709_KG + color.b * ITU709_KB)
	var u = saturate(-color.r * 0.5 * ITU709_KR / ITU709_IB - color.g * 0.5 * ITU709_KG / ITU709_IB + color.b * 0.5 + 0.5)
	var v = saturate(color.r * 0.5 - color.g * 0.5 * ITU709_KG / ITU709_IR - color.b * 0.5 * ITU709_KB / ITU709_IR + 0.5)
	return Qt.rgba(y, u, v, color.a)
}

function yuvToRgb(color) {
    var ITU709_KB = 0.0722
    var ITU709_KR = 0.2126
    var ITU709_KG = 1.0 - ITU709_KB - ITU709_KR
    var ITU709_IB = 1.0 - ITU709_KB
    var ITU709_IR = 1.0 - ITU709_KR
	var y = color.r
	var u = color.g - 0.5
	var v = color.b - 0.5
	var r = saturate(y + v * 2.0 * ITU709_IR)
	var g = saturate(y - u * 2.0 * ITU709_KB * ITU709_IB / ITU709_KG - v * 2.0 * ITU709_KR * ITU709_IR / ITU709_KG)
	var b = saturate(y + u * 2.0 * ITU709_IB)
	return Qt.rgba(r, g, b, color.a)
}