import QtQuick 2.0
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.0
import GuiControls 1.0

Item {
    implicitWidth: 16
    implicitHeight: 200
    property alias value: slider.value
    ChessBoard {
        anchors.fill: parent
        checkSize: 6
        colorBlack: "gray"
        colorWhite: "white"		
    }
    Rectangle {
        anchors.fill: parent
        gradient: Gradient {
            GradientStop { position: 0.0;  color: "black"}		
            GradientStop { position: 1.0;  color:"transparent"}
        }
        border.color: Qt.rgba(40/255, 40/255, 40/255)
    }
    Slider {
        id: slider
        activeFocusOnTab: false
        anchors.fill: parent
        orientation: Qt.Vertical
        maximumValue: 1
        style: SliderStyle {
            groove: Item {
                implicitHeight: 16
            }
            
            handle: Rectangle {
                implicitWidth: 10
                implicitHeight: 22
                border.color: "black"
                color: "transparent"
                Rectangle {
                    anchors.fill: parent; anchors.margins: 1
                    border.color: "white"
                    color: "transparent"
                    Rectangle {
                        anchors.fill: parent; anchors.margins: 1
                        border.color: "black"
                        color: "transparent"
                    }
                }
            }	
        }
    }	
}


