import QtQuick 2.0
import QtQuick.Layouts 1.1
import QtQuick.Controls 1.1
import GuiControls 1.0

Item {
    id: root
    property string title: qsTr("Choose a color")
    property bool showAlphaChannel: false
    property color color: "black"
    property color currentColor
    property int modality: Qt.WindowModal
    visible: false
    
    signal rejected()
    signal accepted()
    
    Component {
        id: defaultWindowComponent
        CustomColorDialogWindow {}
    }

    property Component windowComponent: defaultWindowComponent
    property var window: null
    property var content: null
    
    function open() {
        if(!window) window = windowComponent.createObject(root)
        window.title = root.title
        window.content.showAlphaChannel = root.showAlphaChannel
        window.content.color = root.color
        window.content.currentColor = root.currentColor
        window.modality = root.modality
        content = window.content
        window.open()
        content.setCurrentColorToControls()
    }
    

    Connections {
        target: root
        onTitleChanged: if(window) window.title = root.title
        onShowAlphaChannelChanged: if(content) content.showAlphaChannel = root.showAlphaChannel
        onColorChanged: if(content) content.color = root.color
        onCurrentColorChanged: if(content) content.currentColor = root.currentColor
        onModalityChanged: if(window) window.modality = root.modality        
    }
    
    Connections {
        target: window
        onVisibleChanged: root.visible = window.visible
        onAccepted: root.accepted()
        onRejected: root.rejected()        
    }    
    Connections {
        target: content
        onColorChanged: root.color = content.color
        onCurrentColorChanged: root.currentColor = content.currentColor      
    }     
    
}