import QtQuick 2.0
import QtQuick.Layouts 1.1
import QtQuick.Controls 1.1
import GuiControls 1.0
import "."

ApplicationWindow {
    id: root
    modality: Qt.WindowModal
    flags: Qt.Window | Qt.CustomizeWindowHint | Qt.WindowTitleHint | Qt.WindowCloseButtonHint | Qt.WindowSystemMenuHint 
    width: layout.implicitWidth + 40
    height: layout.implicitHeight + 60
    maximumWidth: width
    minimumWidth: width   
    maximumHeight: height
    minimumHeight: height
    property alias content: content
    
    Item {
        anchors.fill: parent
        Keys.onEscapePressed: root.close()
        Binding on focus {
			value: root.visible
		}
    }
    
    signal rejected()
    signal accepted()
    
    ColumnLayout {
        id: layout
        anchors.centerIn: parent
        spacing: content.showAlphaChannel ? 16 : 4
        
        CustomColorDialogContent {
            id: content
        }
        
        RowLayout {
            Layout.alignment: Qt.AlignRight
            Button {
                text: qsTr("Cancel")
                onClicked: {
                    root.visible = false
                    root.rejected()
                }
            }				
            Button {
                text: qsTr("Ok")
                onClicked: {
                    root.visible = false
                    content.color = content.currentColor
                    root.accepted()
                }
            }
        }
    }
    
    onClosing: root.rejected()
    
    function open() {
        content.currentColor = content.color
        root.visible = true
    }
}