import QtQuick 2.1

MouseArea {
    property DragAndDropLayer dragAndDropLayer
    property Item dragItem
    property int dragDelta: 5
    readonly property bool dragging: _dragging==2

    property int _dragging : 0
    property int _mouseStartX
    property int _mouseStartY

    onPressedChanged: {
        if(!dragAndDropLayer) return
        if(pressed) {
            _dragging = 1
            _mouseStartX = mouseX
            _mouseStartY = mouseY
        }
        else { _dragging = 0; dragAndDropLayer.drop() }
    }
    function startDrag() {
        if (!dragAndDropLayer || !_dragging)
            return
        if (_dragging == 1) {
            if (((_mouseStartX-mouseX)*(_mouseStartX-mouseX) + (_mouseStartY-mouseY)*(_mouseStartY-mouseY)) < dragDelta*dragDelta)
                return
            dragAndDropLayer.dragItem = dragItem
            _dragging = 2
        }
        dragAndDropLayer.dragPosition = getAbsoluteMousePosition()

    }
    onMouseXChanged: startDrag()
    onMouseYChanged: startDrag()

    function getAbsoluteMousePosition() {
        var p = mapToItem(dragAndDropLayer, mouseX, mouseY)
        return Qt.point(p.x, p.y)
    }
}
