import QtQuick 2.0
import "effects"
import "utils"

Item {
    id: root
    property Shape shape
    property StyleSettings styleSettings
    property Item texture
    property rect textureRect: Qt.rect(0, 0, shape.size.width, shape.size.height)
    property rect crop: Qt.rect(0.0, 0.0, 1.0, 1.0)
    property alias texturesQuality: bakeToTexture.texturesQuality
    implicitWidth: shape.size.width
    implicitHeight: shape.size.height
    
    BakeToTexture {
        id: bakeToTexture
        anchors.fill: parent
        crop: root.crop
        ShadowEffectView {
            shape: root.shape
            settings: styleSettings.shadowEffectSettings
        }
        GlowEffectView {
            shape: root.shape
            settings: styleSettings.glowEffectSettings
        }
        FillColorEffectView {
            shape: root.shape
            settings: styleSettings.fillColorEffectSettings
            colorTexture: root.texture
            colorTextureRect: root.textureRect
            antialiasingSize: styleSettings.antialiasingSize/root.texturesQuality
        }
        TextureMappingEffectView {
            shape: root.shape
            settings: styleSettings.textureMappingEffectSettings
            antialiasingSize: styleSettings.antialiasingSize/root.texturesQuality
        }
        StrokesEffectView {
            shape: root.shape
            settings: styleSettings.strokesEffectSettings
            antialiasingSize: styleSettings.antialiasingSize/root.texturesQuality
        }
        SheenEffectView {
            shape: root.shape
            settings: styleSettings.sheenEffectSettings
            antialiasingSize: styleSettings.antialiasingSize/root.texturesQuality
        }        
    }
}
