import QtQml 2.0
import QtQuick 2.4

QtObject {
    id: root
    property GraphicalScene scene
    property string textSourceType
    property string value

    function updateValues(objects){
        if (!objects) return
        for(var i = 0; i < objects.length; i++) {
            var item = objects[i]
            if (item.textSource) {
                item.textSource.value = value
            }
        }
    }

    readonly property var selectedObjects: {
        var result = []
        if (!scene) return result
        if(!scene.objects) return result
        for(var i = 0; i < scene.objects.length; i++) {
            var item = scene.objects[i]
            if (item.typeName === "GraphicalText") {
                if (item.textSourceType === root.textSourceType)
                    result.push(item)
            }
        }
        return result
    }

    onSelectedObjectsChanged: updateValues(root.selectedObjects)
    onValueChanged: updateValues(root.selectedObjects)
}
