import QtQml 2.0
import Serialization 1.0

QtObject
{   
    property QtObject scene
    
    property bool dirtyProject
    readonly property int maxStateCount: 30
    property var states: []
    property int currentStateIndex: 0
    readonly property bool canUndo: currentStateIndex > 0
    readonly property bool canRedo: currentStateIndex < states.length - 1
    property bool insideUndoOrRedo: false
    
    function clear() {
        states = [Serialization.writeToMemory(scene.save())]
        currentStateIndex = 0
        dirtyProject = false
    }
    
    function pushNewState() {
        if(insideUndoOrRedo) return
        dirtyProject = true
        states = states.slice(Math.max(0, currentStateIndex + 2 - maxStateCount), currentStateIndex + 1)
        var data = Serialization.writeToMemory(scene.save())
        states.push(data)
        currentStateIndex = states.length - 1
        states = states
    }
    
    function undo() {
        if (!canUndo) return
        insideUndoOrRedo = true
        currentStateIndex--
        scene.load(Serialization.readFromMemory(states[currentStateIndex]))    
        insideUndoOrRedo = false
    }
    
    function redo() {
        if (!canRedo) return
        insideUndoOrRedo = true
        currentStateIndex++
        scene.load(Serialization.readFromMemory(states[currentStateIndex]))
        insideUndoOrRedo = false
    }
    Component.onCompleted: clear()
}