import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "BaseFade"
    name: qsTr("Base Fade")
    property real startValue
    property real finishValue
    
    property real value0
    property real value1   

    function beforeStart() {
        value0 = startValue
        value1 = finishValue
        target.opacity = value0
    }
    
    onTChanged: {
        target.opacity = value0 * (1 - t) + value1 * t
    } 
    
    function baseFade_save() {
        return baseAnimation_save()
    }
    
    function save() {
        return baseFade_save()
    }
    
    function baseFade_load(data) {
        baseAnimation_load(data)
    }    
    
    function load(data) {
        baseFade_load(data)
    }    
}