import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "BaseMove"
    name: qsTr("Base Move")
    property vector2d startValue
    property vector2d finishValue
    
    property vector2d value0
    property vector2d value1      

    function beforeStart() {
        value0 = startValue
        value1 = finishValue
        if(value0.x != value1.x) target.x = value0.x
        if(value0.y != value1.y) target.y = value0.y
    }
    
    onTChanged: {
        if(value0.x != value1.x) target.x = Math.round(value0.x * (1 - t) + value1.x * t)
        if(value0.y != value1.y) target.y = Math.round(value0.y * (1 - t) + value1.y * t)
    }    
    
    function baseMove_save() {
        return baseAnimation_save()
    }
    
    function save() {
        return baseMove_save()
    }
    
    function baseMove_load(data) {
        baseAnimation_load(data)
    }    
    
    function load(data) {
        baseMove_load(data)
    }      
}