import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "BaseScale"
    name: qsTr("Base Scale")
    
    property vector2d startValue: Qt.vector2d(100, 100)
    property vector2d finishValue: Qt.vector2d(100, 100)

    property vector2d scale0
    property vector2d scale1     

    function beforeStart() {
        scale0 = startValue
        scale1 = finishValue
        if(scale0.x != scale1.x) target.scaleX = scale0.x
        if(scale0.y != scale1.y) target.scaleY = scale0.y        
    }
    
    onTChanged: {
        if(scale0.x != scale1.x) target.scaleX = scale0.x * (1 - t) + scale1.x * t
        if(scale0.y != scale1.y) target.scaleY = scale0.y * (1 - t) + scale1.y * t       
    }
    
    function baseScale_save() {
        return baseAnimation_save()
    }
    
    function save() {
        return baseScale_save()
    }
    
    function baseScale_load(data) {
        baseAnimation_load(data)
    }    
    
    function load(data) {
        baseScale_load(data)
    }      
}