import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "BaseWipe"
    name: qsTr("Base Wipe")
    property rect startValue
    property rect finishValue

    property rect value0
    property rect value1

    function beforeStart() {
        value0 = startValue
        value1 = finishValue
        if(value0.x != value1.x) target.crop.x = value0.x
        if(value0.y != value1.y) target.crop.y = value0.y
        if(value0.width != value1.width) target.crop.width = value0.width
        if(value0.height != value1.height) target.crop.height = value0.height
    }

    onTChanged: {        
        if(value0.x != value1.x) target.crop.x = value0.x * (1 - t) + value1.x * t
        if(value0.y != value1.y) target.crop.y = value0.y * (1 - t) + value1.y * t
        if(value0.width != value1.width) target.crop.width = value0.width * (1 - t) + value1.width * t
        if(value0.height != value1.height) target.crop.height = value0.height * (1 - t) + value1.height * t
    }

    function baseWipe_save() {
        return baseAnimation_save()
    }

    function save() {
        return baseWipe_save()
    }

    function baseWipe_load(data) {
        baseAnimation_load(data)
    }

    function load(data) {
        baseWipe_load(data)
    }
}
