import QtQuick 2.1
import ".."

BaseMove {
    id: root
    type: "MoveIn" 
    name: qsTr("Move In")
    property string direction: "Right"  // "Right", "Left", "Up", "Down"
    readonly property real paddingSize: target.paddingSize || 0
    
    startValue: switch(direction) {
        case "Right": return Qt.vector2d(-(target.width + paddingSize) * target.scaleX / 100, originalState.y)
        case "Left": return Qt.vector2d(target.scene.width + paddingSize * target.scaleX / 100, originalState.y)
        case "Up": return Qt.vector2d(originalState.x, target.scene.height + paddingSize * target.scaleY / 100)
        case "Down": return Qt.vector2d(originalState.x, -(target.height + paddingSize) * target.scaleY / 100) 
        default: return Qt.vector2d(0, 0)
    }
    
    finishValue: Qt.vector2d(originalState.x, originalState.y)

    function moveIn_save() {
        var data = baseMove_save()
        data["direction"] = direction
        return data
    }
    
    function save() {
        return moveIn_save()
    }
    
    function moveIn_load(data) {
        baseMove_load(data)
        direction = data.direction 
    }    
    
    function load(data) {
        moveIn_load(data)
    }        
    
}