import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "Rotate"
    name: qsTr("Rotate")
    property real rotation: 360
    
    property real value0
    property real value1

    function beforeStart() {
        value0 = target.rotation
        value1 = originalState.rotation + rotation
    }
    
    onTChanged: {
        var r = value0 * (1 - t) + value1 * t
        while(r < 0) r += 360
        target.rotation = r
    }
    
    function rotate_save() {
        var data = baseAnimation_save()
        data["rotation"] = rotation
        return data
    }
    
    function save() {
        return rotate_save()
    }
    
    function rotate_load(data) {
        baseAnimation_load(data)
        rotation = data.rotation        
    }    
    
    function load(data) {
        rotate_load(data)
    }    
    
}