import ".."

BaseWipe {
    id: root  
    type: "Wipe"
    name: qsTr("Wipe")
    property real offsetLeft
    property real offsetRight
    property real offsetTop
    property real offsetBottom

    startValue: Qt.rect(target.crop.x, target.crop.y, target.crop.width, target.crop.height)
    finishValue: Qt.rect(
                        originalState.crop.x + offsetLeft,
                        originalState.crop.y + offsetTop,
                        originalState.crop.width - offsetLeft - offsetRight,
                        originalState.crop.height - offsetTop - offsetBottom)

    function wipe_save() {
        var data = baseWipe_save()
        data["offsetLeft"] = offsetLeft
        data["offsetRight"] = offsetRight
        data["offsetTop"] = offsetTop
        data["offsetBottom"] = offsetBottom
        return data
    }
    
    function save() {
        return wipe_save()
    }
    
    function wipe_load(data) {
        baseWipe_load(data)
        offsetLeft = data["offsetLeft"]
        offsetRight = data["offsetRight"]
        offsetTop = data["offsetTop"]
        offsetBottom = data["offsetBottom"]
    }    
    
    function load(data) {
        wipe_load(data)
    }
}
