import QtQuick 2.1
import ".."

BaseWipe {
    id: root
    type: "WipeIn"
    name: qsTr("Wipe In")
    property string direction: "Right"  // "Right", "Left", "Up", "Down", "Center"
    
    startValue: switch(direction) {
        case "Right": return Qt.rect(0.0, 0.0, 0.0, 1.0)
        case "Left": return Qt.rect(1.0, 0.0, 0.0, 1.0)
        case "Up": return Qt.rect(0.0, 1.0, 1.0, 0.0)
        case "Down": return Qt.rect(0.0, 0.0, 1.0, 0.0)
        case "Center": return Qt.rect(0.5, 0.5, 0.0, 0.0)
        default: return Qt.rect(0.0, 0.0, 1.0, 1.0)
    }
    
    finishValue: Qt.rect(0.0, 0.0, 1.0, 1.0)

    function wipeIn_save() {
        var data = baseWipe_save()
        data["direction"] = direction
        return data
    }
    
    function save() {
        return wipeIn_save()
    }
    
    function wipeIn_load(data) {
        baseWipe_load(data)
        direction = data.direction 
    }    
    
    function load(data) {
        wipeIn_load(data)
    }        
    
}
