import QtQuick 2.1
import ".."

BaseWipe {
    id: root
    type: "WipeOut"
    name: qsTr("Wipe Out")
    property string direction: "Right"  // "Right", "Left", "Up", "Down", "Center"
    
    startValue: Qt.rect(0.0, 0.0, 1.0, 1.0)

    finishValue: switch(direction) {
        case "Right": return Qt.rect(1.0, 0.0, 0.0, 1.0)
        case "Left": return Qt.rect(0.0, 0.0, 0.0, 1.0)
        case "Up": return Qt.rect(0.0, 0.0, 1.0, 0.0)
        case "Down": return Qt.rect(0.0, 1.0, 1.0, 0.0)
        case "Center": return Qt.rect(0.5, 0.5, 0.0, 0.0)
        default: return Qt.rect(0.0, 0.0, 1.0, 1.0)
    }    

    function wipeOut_save() {
        var data = baseWipe_save()
        data["direction"] = direction
        return data
    }
    
    function save() {
        return wipeOut_save()
    }
    
    function wipeOut_load(data) {
        baseWipe_load(data)
        direction = data.direction 
    }    
    
    function load(data) {
        wipeOut_load(data)
    }        
    
}
