import QtQuick 2.0
import ".."
import QtGraphicalEffects 1.0

ShapeShaderEffect {
    id: shaderEffect
    property GlowEffectSettings settings
    readonly property color color: settings.color
    readonly property real radius: settings.size
    readonly property real spread: Math.min(settings.spread, 99) / 100.0
    margins: radius
    shaderFunction: "
        uniform vec4 color;
        uniform float radius;
        uniform float spread;
        float linearstep(float e0, float e1, float x) 
        {
                return clamp((x - e0) / (e1 - e0), 0.0, 1.0);
        }
        vec4 getResult(vec2 pos) 
        {
            ShapeInfo shapeInfo = getShapeInfo(pos);
            float glow = smoothstep(radius, 0.0, shapeInfo.d);
            glow = linearstep(0.0, 1.0 - spread, glow);
            return glow * color;
        }
    "
}