import QtQml 2.0

QtObject
{
    id: root
    readonly property string name: "Shadow"
    property real spread: 50
    property real size: 50
    property color color: Qt.rgba(0.08, 0.08, 0.08, 1)
    property real opacity: 75
    property int distance: 20
    property int radialAngle: 135
    property int rotationAngle: 0
    property int skew: 0
    property bool visible: false
    
    
    function save()
    {
        var settings = {};
        settings["name"] = name;
        settings["spread"] = spread;
        settings["size"] = size;
        settings["opacity"] = opacity;
        settings["color"] = color;
        settings["distance"] = distance;
        settings["radialAngle"] = radialAngle;
        settings["rotationAngle"] = rotationAngle;
        settings["skew"] = skew;
        settings["visible"] = visible;
        return settings;
    }
    
    function load(data)
    {
        spread = data.spread;
        size = data.size;
        opacity = data.opacity;
        color = data.color;
        distance = data.distance;
        radialAngle = data.radialAngle;
        rotationAngle = data.rotationAngle;
        skew = data.skew;
        visible = data.visible;
    }
}