import QtQml 2.0

QtObject
{
    id: root
    readonly property string name: "Stroke"
    property color color: Qt.rgba(0.35, 0.35, 0.35, 1)
    property string useSysColor: "" //"program", "preset", "common", "from_slot"
    property int  slotIndex: 1
    property real opacity: 100
    property real outerWidth: 2.0
    property real innerWidth: 0.0
    property bool visible: false
    
    function save()
    {
        var settings = {};
        settings["name"] = name;
        settings["outerWidth"] = outerWidth;
        settings["innerWidth"] = innerWidth;
        settings["color"] = color;
        settings["opacity"] = opacity;
        settings["visible"] = visible;
        settings["useSysColor"] = useSysColor;
        settings["slotIndex"] = slotIndex;
        return settings;
    }
    
    function load(data)
    {
        outerWidth = data.outerWidth;
        innerWidth = data.innerWidth;
        color = data.color;
        opacity = data.opacity;
        visible = data.visible;
        useSysColor = data.useSysColor || "";
        slotIndex = data.slotIndex || 1;
    }
}
