import QtQml 2.0

QtObject {
    id: root
    readonly property string name: "Strokes"
    readonly property bool visible: true
    property list<StrokeEffectSettings> settingsList: [
        StrokeEffectSettings{}
    ]
    
    function save() {
        var data = {};
        data["name"] = name;
        var settings = [];
        for (var i = 0; i < settingsList.length; ++i) {
            var elem = settingsList[i].save();
            settings.push(elem);
        }
        data["strokesSettings"] = settings;
        return data;
    }
    
    function load(data) {
        var list = [];
        for (var i = 0; i < data.strokesSettings.length; ++i) {
            var component = Qt.createComponent("StrokeEffectSettings.qml");
            if (component.status == Component.Ready) {
                var obj = component.createObject(root, {});
                obj.load(data.strokesSettings[i]);
                list.push(obj);
            }
        }
        settingsList = list;
    }
}