import QtQuick 2.4
import ".."

Item {
    id: root
    property StrokesEffectSettings settings
    property Shape shape
    property real antialiasingSize
    readonly property real margins: {
        var result = 0
        for(var i = 0; i < repeater.count; i++) {
            var effectView = repeater.itemAt(i)
            result = Math.max(result, effectView.margins)
        }
        return result
    }
    x: -margins
    y: -margins
    implicitWidth: shape.size.width + 2 * margins
    implicitHeight: shape.size.height + 2 * margins
    Repeater {
        id: repeater
        model: settings.settingsList
        StrokeEffectView {
            anchors.centerIn: parent
            settings: modelData
            shape: root.shape
            antialiasingSize: root.antialiasingSize
        }
    }
}