import QtQuick 2.3
import QtQuickUtils 1.0
import "../shapes"

MediaGraphicalObject {
    id: root
    property url source
    typeName: "GraphicalObjectImage"
    typeNameUI: qsTr("Image")
    typeIconName: "Image"
    name: "Image"
    isEmpty: !source.toString()
       
    media: Image {
        source: root.source
        mipmap: true
        sourceSize: Qt.size(root.mediaSize.width * root.scene.texturesQuality, root.mediaSize.width * root.scene.texturesQuality)
    }
    mediaSize: ImageUtils.getImageSize(root.source)

    function save() {
        var data = mediaGraphicalObject_save();
        data["source"] = root.source;
        return data;
    }
    
    function load(data) {
        mediaGraphicalObject_load(data);
        root.source = data.source;
    }
}
