import QtQuick 2.0
import "../shapes"

ShapeGraphicalObject {
    id: root
    property real radius: 0.3
    typeName: "GraphicalObjectRoundedRectangle"
    typeNameUI: qsTr("Rectangle")
    typeIconName: "ToolRect"
    name: "Rectangle"
    
    shape: RectangleShape {
        radius: root.radius
        size: Qt.size(root.width, root.height)
    }
    
    function save() {
        var data = shapeGraphicalObject_save();
        data["radius"] = root.radius;
        return data;
    }
    
    function load(data) {
        shapeGraphicalObject_load(data);
        root.radius = data.radius;
    }
    
}
