import QtQuick 2.3
import "../mixer_media"

MediaGraphicalObject {
    id: root
    typeName: "MixerMediaGraphicalObject"
    typeNameUI: qsTr("Mixer Media")
    typeIconName: "Live"
    name: "MixerMedia"
    isEmpty: !mixerMediaVisualContent
    
    readonly property MixerMediaSource mixerMediaSource: mixerMediaSourceLoader.item
    readonly property Component mixerMediaVisualContent: (mixerMediaSource && mediaSize.width > 0 && mediaSize.height > 0) ? mixerMediaSource.visualContent : null
    readonly property Loader mixerMediaSourceLoader: Loader {
        sourceComponent: (scene && scene.mixerMediaManager) ? scene.mixerMediaManager.mixerMediaSourceComponent : null
    }

    media: mixerMediaVisualContent
    mediaSize: (mixerMediaSource && mixerMediaSource.visualContentSize) ? mixerMediaSource.visualContentSize : Qt.size(0, 0)
    
    function save() {
        var data = mediaGraphicalObject_save()
        if(mixerMediaSource) data["mixerMediaSource"] = mixerMediaSource.save()
        return data
    }
    
    function load(data) {
        mediaGraphicalObject_load(data)
        if(data.mixerMediaSource && mixerMediaSource) mixerMediaSource.load(data.mixerMediaSource)
    }
}
