import QtQuick 2.3
import GuiControls 1.2
import Rpc 1.0

Frame {
	id: root
	property QtObject object
	property url fileUrl
	property real zoom: 1.0
	property alias nameFilters: fileDialog.nameFilters
    property alias selectedNameFilter: fileDialog.selectedNameFilter
	property alias selectFolder: fileDialog.selectFolder
    
	borderWidth: 1.0 / root.zoom
	showAnchors: false
	
	function doubleClicked(mouse) {
		fileDialog.open()
	}
	
	Text {
		anchors.fill: parent
		text: qsTr("Double click to set source")
		verticalAlignment: Qt.AlignVCenter
		horizontalAlignment: Qt.AlignHCenter
		fontSizeMode: Text.Fit
		font.pixelSize: 1000
		wrapMode: Text.WordWrap
		color: "white"
		style: Text.Outline
		styleColor: "Black"
		visible: root.object && !root.object.freezed
	}
	AdvancedFileDialog {
		id: fileDialog
		title: qsTr("Please choose a file")
		modality: Qt.WindowModal
        acceptMode: AdvancedFileDialog.Open
		onAccepted: {
		   root.fileUrl = fileUrl
		}
	}
        
	RpcBinding on fileUrl {
		rpcTarget: root.object
		rpcProperty: "source"
	}
	
	
}