import QtQuick 2.3
import GuiControls 1.2

Frame {
    id: root
    property QtObject object
    property real zoom: 1.0
    borderWidth: 1.0 / root.zoom
    showAnchors: false
    
	function doubleClicked(mouse) {
        var mixerMediaSource = root.object ? root.object.mixerMediaSource : null
		if(dialog && mixerMediaSource) dialog.open()
	}
    property QtObject dialog: dialogLoader.item
    Loader {
        id: dialogLoader
        sourceComponent: (root.object && root.object.scene) ? root.object.scene.mixerMediaManager.selectInputDialogComponent : null
    }
    Connections {
        target: root.dialog
        onSelected: if(root.object && root.object.mixerMediaSource) root.object.mixerMediaSource.name = inputName
    }
	Text {
		anchors.fill: parent
		text: {
            var mixerMediaSource = root.object ? root.object.mixerMediaSource : null
            if(!mixerMediaSource) return ""
            if(mixerMediaSource.type == "PIP" || mixerMediaSource.type == "Logo") return mixerMediaSource.type + mixerMediaSource.index
            if(mixerMediaSource.name) return mixerMediaSource.name.replace('Pip:///','PIP:///').replace(':///',' ');
            if(root.dialog) return qsTr("Double click to set source")
            return mixerMediaSource.name || "Mixer Media"
        }
		verticalAlignment: Qt.AlignVCenter
		horizontalAlignment: Qt.AlignHCenter
		fontSizeMode: Text.Fit
		font.pixelSize: 70
        minimumPixelSize: 1
		wrapMode: Text.WordWrap
		color: "white"
		style: Text.Outline
		styleColor: "Black"
	}    
}
