import QtQml 2.2
import "../"
import Serialization 1.0

TextSource {
    id: root
    type: "CSV"
    property url    source: ""
    property string columnName: ""
    property int    rowNumber: 1
    property TextTable table: null

    value: table ? table.getValueCN(columnName, rowNumber-1) : ""

    Binding on columnName {
        value: owner.name
        when: !!owner
    }

    property File sourceFile: File {
        source: root.source
        //onSourceChanged: {  }
        onStatusChanged: {  if (table) table.loadFromFile(source)    }
    }

    property var timer: Timer {
        running: source && table
        repeat: true
        interval: 200
        onTriggered: { sourceFile.status  }
    }

    function getFileName(url) {
        return url.toString().split("/").pop()
    }

   onSourceChanged: {
        if (!Serialization.isFileExists(source))
            return
        var lastT = table
        table = scene.getMainTable("csv", getFileName(source))
        if (lastT && table!=lastT)
            lastT.removeUser(root)
        if (table)
           table.addUser(root)
    }

    function onCreated() {
    }
    function onDeleted() {
        if (table) table.removeUser(root)
    }

    function addValue(val) {} //dummy

    function save() {
        return {
            source: source,
            //columnName: columnName,
            rowNumber: rowNumber
        }
    }
    function load(data) {
        source = data.source || ""
        //columnName = data.columnName || ""
        rowNumber = data.rowNumber !=undefined ? data.rowNumber : 1
   }
}
