import QtQml 2.2
import "../"

TextSource {
    id: root
    type: "Clock"
    property string timeFormat: "hh:mm"
    
    property var timer: Timer {
        running: true
        repeat: true
        interval: 100
        onTriggered: {
            var time = new Date()
            var timeString = Qt.formatTime(time, timeFormat)
            if(root.value != timeString) {
                root.significantTextChanging(timeString)
                root.value = timeString
            }
        }
    }
    
    function save() {
        return {
            timeFormat: timeFormat
        }
    }
    function load(data) {
        timeFormat = data.timeFormat || ""
    }    
}