import QtQml 2.2
import "../"

TextSource {
    id: root
    type: "Countdown"
    property int time: 0    // ms
    property string timeFormat: "hh:mm:ss"
    
    property var timer: Timer {
        running: true
        repeat: true
        interval: 100
        onTriggered: {
            var currentDate = new Date()
            var time = root.time / 1000
            var currentTime = (currentDate.getHours() * 60 + currentDate.getMinutes()) * 60 + currentDate.getSeconds()
            var deltaTime = (time - currentTime + 24 * 60 * 60) % (24 * 60 * 60)
            if(deltaTime > 23 * 60 * 60) deltaTime = 0
            
            var timeString = formatTime(deltaTime)
            if(root.value != timeString) {
                root.significantTextChanging(timeString)
                root.value = timeString
            }
        }
        
        function formatTime(t) {
            var h = Math.floor(t / 3600)
            var m = Math.floor((t - (h * 3600)) / 60)
            var s = Math.floor(t - (h * 3600) - (m * 60))
            var date = new Date()
            date.setHours(h)
            date.setMinutes(m)
            date.setSeconds(s)
            return Qt.formatTime(date, timeFormat)
        }
    }
    
    function save() {
        return {
            time: time,
            timeFormat: timeFormat
        }
    }
    function load(data) {
        time = data.time || 0
        timeFormat = data.timeFormat || ""
    }    
}