import QtQml 2.2
import "../"


import Serialization 1.0

TextSource {
    id: root
    type: "File"
    property string source: ""
    property string columnName: ""
    property TextTable table: null
    property var values: [value]

    property Timer updateDelayed: Timer {
        interval: 1
        onTriggered: {
            table.updateTable()
        }
    }
    property File sourceFile: File {
        source: root.source
        onSourceChanged: { updateColumnName(); }
        onStatusChanged: {
            value = content
            updateDelayed.restart()
        }
    }

    property var timer: Timer {
        running: true
        repeat: true
        interval: 100
        onTriggered: { sourceFile.status  }
    }

    function getFileName(url) {
        return url.toString().split("/").pop()
    }

    function updateColumnName() {
        columnName = sourceFile.source ? getFileName(sourceFile.source) : qsTr("File") + table.columnCount()
    }
    onColumnNameChanged: if (table) table.updateTable()

    function onCreated() {
        if(!columnName)  updateColumnName()
        table.addSource(root)
    }
    function onDeleted() {
        table.removeSource(root)
    }

    function addValue(val) {} //dummy

    function save() {
        return {
            columnName: columnName,
            source: source
        }
    }
    function load(data) {
        source = data.source || ""
        columnName = data.columnName || ""
    }
}
