import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2
import QtQuick.Controls.Private 1.0

Item {
    id: root
    default property Item content
    property color backgroundColor: SystemPaletteSingleton.window(true)
    property color borderColor: SystemPaletteSingleton.text(false)
    
    function popup() {
        menu.popup()
    }
    
    function hide() {
        menu.__dismissMenu()
    }
    
    readonly property Menu _menu: Menu {
        id: menu
        MenuItem {}
        
        style: MenuStyle {
            submenuOverlap: 0
            padding {left: 0; top: 0; right: 0; bottom: 0}
            __leftLabelMargin: 0
            __rightLabelMargin: 0

            frame: Item {}
            
            itemDelegate.background: Rectangle {
                color: root.backgroundColor
                border.color: root.borderColor
            }
            
            itemDelegate.label: Item {
                z: 100
                x: 1
                y: 1
                implicitWidth: root.content ? root.content.implicitWidth + 2 : 0
                implicitHeight: root.content ? root.content.implicitHeight - 2 : 0
                parent: menu.__contentItem
                data: root.content
            }
        }
    }
}
