import QtQuick 2.0
import GuiControls 1.0

PropertyGroup {
    id: root
    property string property
    property alias values: enumProperty.values
    property alias strings: enumProperty.strings
    property alias label: enumProperty.label
    readonly property alias selectedValue: enumProperty.selectedValue
    
    collapsible: false
    EnumProperty {
        id: enumProperty
        property string selectedValue
        object: this
        property: "selectedValue"
        values: root.values
        strings: values.map(function(v) {
            return v.toUpperCase()
        })
        
        property string objectValue: {
            if(!root.object || !root.object[root.property]) return ""
            return root.object[root.property]
        }
        onObjectValueChanged: if(objectValue) selectedValue = objectValue
        onPropertyModified: {
            if(!root.object) return
            root.object[root.property] = selectedValue
        }
    }
}
