import QtQuick 2.1
import QtQuick.Controls 1.0
import GuiControls 1.0
import Rpc 1.0
import "../"

PropertyItem {
    id: root
    Item {
        anchors.fill: parent
        HyperLinkLabel {
            id: label
            //implicitWidth: 200
            width: parent.width
            anchors.verticalCenter: parent.verticalCenter
            text: tableView.currentValue + (tableView.currentRow < 0 ? qsTr(" (Missing!)") : "")
            onClicked: expanded = true
        }
    }
    onLoseFocus: expanded = false

    expandedControl: TableView {    
        id: tableView
        implicitWidth: 0
        implicitHeight: 200
        headerVisible: false
        headerDelegate: Item {} // обход бага - https://bugreports.qt.io/browse/QTBUG-45642
        alternatingRowColors: true
        model: Qt.fontFamilies()
        itemDelegate: Label {
            verticalAlignment: Text.AlignVCenter
            anchors.fill: parent
            anchors.leftMargin: 10
            color: styleData.textColor
            text: styleData.value
            font.family: styleData.value
        }
        TableViewColumn {}
        property string currentValue
        RpcBinding on currentValue {
            rpcTarget: root.object
            rpcProperty: root.property
        }         
        Binding on currentRow {
            value: tableView.rowCount != 0 ? tableView.model.indexOf(tableView.currentValue) : -1
        }
        onCurrentRowChanged: {
            selection.clear()
            if(currentRow < 0) return
            selection.select(currentRow)
            var value = model[currentRow]
            if(currentValue != value) {
                currentValue = value
                propertyModified()
            }
        }
    }
}
