import QtQuick 2.3
import GuiControls 1.0
import Rpc 1.0

PropertyItem {
    id: root
    property alias currentIndex: expandedGradient.currentIndex
    property alias currentPosition: expandedGradient.currentPosition
    
    Item {
        implicitWidth: 35
        implicitHeight: 17
        ChessBoard {
            visible: mouseArea.containsMouse
            anchors.fill: parent
            anchors.margins: -1
            z: -1
            colorWhite: Qt.rgba(191 / 255, 191 / 255, 191 / 255)
            colorBlack: "black"        
            checkSize: 1
        }
        ChessBoard {
            implicitWidth: 35
            implicitHeight: 17
            colorWhite: "white"
            colorBlack: "gray"
            checkSize: 6
            layer.enabled: true
            Rectangle {
                width: parent.height
                height: parent.width
                anchors.centerIn: parent
                rotation: 270
                transformOrigin: Item.Center
                gradient: expandedGradient.gradient
            }          
        }
        MouseArea {
            id: mouseArea
            hoverEnabled: true
            anchors.fill: parent
            onClicked: root.expanded = !root.expanded
        }
    }    

    onLoseFocus: expanded = false
    
    expandedControl: GradientControl {
        id: expandedGradient
        gradient: root.object ? (root.object[root.property] || null) : null  
        onPropertyModified: root.propertyModified()
    }
}