import QtQuick 2.3
import QtQuick.Controls 1.2
import QtQuick.Layouts 1.1
import GuiControls 1.0
import Rpc 1.0
import "../"

PropertyItem {
	id: root
    property string horizontalAlignment
    onHorizontalAlignmentChanged: root.propertyModified()
    
    RpcBinding on horizontalAlignment {
        rpcTarget: root.object
        rpcProperty: root.property
        send: root.enabled
    }

	RowLayout {
        id: row
		spacing: 0
        property int buttonSize: 24
		ExclusiveGroup { id: horizontalGroup }
		
		Button {
            style: root.propertyPanelStyle.toolButtonStyle
			iconSource: "icons/TextAlignLeft.png"
            implicitWidth: row.buttonSize
            implicitHeight: row.buttonSize            
			checkable: true
			exclusiveGroup: horizontalGroup
			checked: root.horizontalAlignment === "AlignLeft"
			onClicked: root.horizontalAlignment = "AlignLeft"
		}
		Button {
            style: root.propertyPanelStyle.toolButtonStyle
			iconSource: "icons/TextAlignCenter.png"
            implicitWidth: row.buttonSize
            implicitHeight: row.buttonSize            
			checkable: true
			exclusiveGroup: horizontalGroup
			checked: root.horizontalAlignment === "AlignHCenter"
			onClicked: root.horizontalAlignment = "AlignHCenter"
		}
		Button {
            style: root.propertyPanelStyle.toolButtonStyle
			iconSource: "icons/TextAlignRight.png"
            implicitWidth: row.buttonSize
            implicitHeight: row.buttonSize            
			checkable: true
			exclusiveGroup: horizontalGroup
			checked: root.horizontalAlignment === "AlignRight"
			onClicked: root.horizontalAlignment = "AlignRight"
		}
	}
}
