import QtQuick 2.1
import QtQuick.Controls 1.0
import GuiControls 1.0
import Rpc 1.0
import "../"

PropertyItem {
    id: root    
    controlHorizontalOffset: -textField.textHorizontalOffset
    property alias textFieldWidth: textField.implicitWidth
    property alias echoMode: textField.echoMode
    property alias inputMask: textField.inputMask
    property bool applyWhileEditing: true
    
    Item {
        anchors.fill: parent
        CompactTextField {
            id: textField
            //anchors.fill: parent
            width: parent.width
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            anchors.leftMargin: -textHorizontalOffset
            RpcBinding on text {
                rpcTarget: root.object
                rpcProperty: root.property
                send: root.enabled && root.applyWhileEditing
            }

            Connections {
                target: root
                onLoseFocus: textField.focus = false
            }

            property string textBeforeEditing
            onFocusChanged: if(focus) textBeforeEditing = text
            onEditingFinished: {
                if(text != textBeforeEditing) {
                    if(!applyWhileEditing && root.object) root.object[root.property] = text
                    root.propertyModified()
                }
            }
        }
    }
}
