import QtQuick 2.1
import QtQuick.Controls 1.0
import GuiControls 1.0
import Rpc 1.0
import "../"

PropertyItem {
    id: root
    property string valueBeforeEditing: ""
    property bool applyWhenExpanded: true
    Item {
        anchors.fill: parent
        HyperLinkLabel {
            //implicitWidth: 150
            width: parent.width
            anchors.verticalCenter: parent.verticalCenter
            RpcBinding on text {
                rpcTarget: root.object
                rpcProperty: root.property
                send: root.enabled
            }
            onClicked: {
                expanded = true;
                valueBeforeEditing = text;
            }
        }
    }
    onLoseFocus: {
        expanded = false;
        if (expandedText.text !== valueBeforeEditing) {
            valueBeforeEditing = expandedText.text;
            if(!applyWhenExpanded && root.object) root.object[root.property] = expandedText.text;
            root.propertyModified();
        }
    }
    
    expandedControl: TextArea {
        id: expandedText
        implicitWidth: 0
        implicitHeight: 100
        RpcBinding on text {
            rpcTarget: root.object
            rpcProperty: root.property
            send: root.applyWhenExpanded
        }
        Component.onCompleted: root.valueBeforeEditing = text
    }
}
