import QtQuick.Controls 1.0
import Rpc 1.0
import GuiControls 1.0
import "../"

PropertyItem {
    id: root
    controlHorizontalOffset: -control.textHorizontalOffset
    CompactTextField {
        id: control
        inputMask: "99:99:99;0"
        implicitWidth: 70
        property int value: 0
        property int valueBeforeEditing: 0  
        onFocusChanged: if(focus) valueBeforeEditing = value        
        
        RpcBinding on value {
            rpcTarget: root.object
            rpcProperty: root.property
            send: root.enabled
        }
        
        onValueChanged: setValueToControl()
        
        function setValueToControl() {
            var t = value / 1000
            var h = Math.floor(t / 3600)
            var m = Math.floor((t - (h * 3600)) / 60)
            var s = Math.floor(t - (h * 3600) - (m * 60))
            if(h < 10) h = "0" + h
            if(m < 10) m = "0" + m
            if(s < 10) s = "0" + s
            control.text = h + ":" + m + ":" + s        
        }
        
        onEditingFinished: {
            var digits = control.displayText.split(":")
            var h = parseInt(digits[0])
            var m = parseInt(digits[1])
            var s = parseInt(digits[2])
            if(h >= 24) h = 0
            if(m >= 60) m = 0
            if(s >= 60) s = 0            
            value = ((h * 60 + m) * 60 + s) * 1000    
            if(value != valueBeforeEditing) {
                root.propertyModified()
                valueBeforeEditing = value
            }
            setValueToControl()
            control.focus = false
        }
    }
    onLoseFocus: control.focus = false
}