import QtQuick 2.1
import QtQuick.Controls 1.5
import GuiControls 1.0
import Serialization 1.0

PropertyItem {
    id: root
    property alias labelWidth: label.implicitWidth
    Item {
        anchors.fill: parent
        HyperLinkLabel {
            id: label
            //implicitWidth: 100
            width: parent.width
            anchors.verticalCenter: parent.verticalCenter

            readonly property url objectValue: root.object ? (root.object[root.property] || "") : ""
            onClicked: {
                if(root.expanded) return
                expandedText.text = text
                root.expanded = true
            }
            text: objectValue.toString()
        }
    }
    onLoseFocus: expanded = false
    
    expandedControl: TextArea {
        id: expandedText
        implicitWidth: 0
        implicitHeight: 100
        wrapMode: TextEdit.Wrap
        onEditingFinished: {
            if(!root.object || !root.object.hasOwnProperty(root.property)) return
            var newValue = Serialization.urlFromUserInput(text)
            if(newValue == label.objectValue) return
            root.object[root.property] = newValue
            root.propertyModified()
        }
        onTextChanged: {
            if(text.indexOf("\n") != -1) {
                cursorPosition = 0
                text = text.replace("\n", "")
                root.expanded = false
            }
        }
    }
}
