import QtQuick 2.3
import QtQuick.Controls 1.2
import QtQuick.Layouts 1.1
import GuiControls 1.0
import Rpc 1.0
import "../"

PropertyItem {
	id: root
    property string verticalAlignment
    onVerticalAlignmentChanged: root.propertyModified()

    RpcBinding on verticalAlignment {
        rpcTarget: root.object
        rpcProperty: root.property
        send: root.enabled
    }
    
	RowLayout {
        id: row
		spacing: 0
        property int buttonSize: 24
		ExclusiveGroup { id: verticalGroup }
        
		Button {
            style: root.propertyPanelStyle.toolButtonStyle
			iconSource: "icons/TextAlignTop.png"
            implicitWidth: row.buttonSize
            implicitHeight: row.buttonSize
			checkable: true
			checked: root.verticalAlignment === "AlignTop"
			exclusiveGroup: verticalGroup
			onClicked: root.verticalAlignment = "AlignTop"
		}
		Button {
            style: root.propertyPanelStyle.toolButtonStyle
			iconSource: "icons/TextAlignVCenter.png"
            implicitWidth: row.buttonSize
            implicitHeight: row.buttonSize            
			checkable: true
			exclusiveGroup: verticalGroup
			checked: root.verticalAlignment === "AlignVCenter"
			onClicked: root.verticalAlignment = "AlignVCenter"
		}
		Button {
            style: root.propertyPanelStyle.toolButtonStyle
			iconSource: "icons/TextAlignBottom.png"
            implicitWidth: row.buttonSize
            implicitHeight: row.buttonSize            
			checkable: true
			exclusiveGroup: verticalGroup
			checked: root.verticalAlignment === "AlignBottom"
			onClicked: root.verticalAlignment = "AlignBottom"
		}
	}
}
