import QtQuick 2.1
import GuiControls 1.0
import QtQuick.Layouts 1.1
import Rpc 1.0
import "../"

PropertyItem {
    id: root
    property real minimumValue: 0
    property real maximumValue: 99
    property real stepSize: 1
    property int decimals: 0
	property string suffix: ""
    property var minimumValues: []
    property var maximumValues: []

    controlHorizontalOffset: spinBoxes.count && spinBoxes.itemAt(0) > 0 ? -spinBoxes.itemAt(0).textHorizontalOffset : 0
    
    RowLayout {
  			//anchors.fill: parent
        Repeater {
            id: spinBoxes
            model: root.properties
            CompactSpinBox {
                id: spinBox
                minimumValue: model.index < root.minimumValues.length ? root.minimumValues[model.index] : root.minimumValue
                maximumValue: model.index < root.maximumValues.length ? root.maximumValues[model.index] : root.maximumValue
                stepSize: root.stepSize
                decimals: root.decimals
                suffix: root.suffix

                readonly property real objectValue: root.object ? (root.object[modelData] || 0) : 0
                property bool applyingObjectValue
                property bool applyingGuiValue
                
                onObjectValueChanged: applyObjectValue()
                onValueChanged: applyGuiValue()
                
                function applyObjectValue() {
                    if(applyingObjectValue || applyingGuiValue) return
                    applyingObjectValue = true
                    value = objectValue
                    applyingObjectValue = false
                }
                
                function applyGuiValue() {
                    if(!root.object || !root.object.hasOwnProperty(modelData)) return
                    if(applyingObjectValue || applyingGuiValue) return
                    applyingGuiValue = true
                    root.object[modelData] = value
                    applyingGuiValue = false
                }
                
                property real valueBeforeEditing
                onFocusChanged: if(focus) valueBeforeEditing = objectValue
                onEditingFinished: {
                    applyObjectValue()
                    if(valueBeforeEditing != objectValue) {
                        root.propertyModified()
                        valueBeforeEditing = objectValue
                    }   
                }
                onWheel: if(!activeFocus) root.propertyModifiedWithDelay()
            }
        }
				Item { Layout.fillWidth : true 	}
    }
    
    onLoseFocus: {
        for(var i = 0; i < spinBoxes.count; i++) {
            spinBoxes.itemAt(i).focus = false
        }
    }
}
