import QtQuick 2.1
import QtQuick.Layouts 1.1

Loader {
    id: root
    Layout.fillWidth: true
    visible: item != null
    property bool offseted: false
    property QtObject object: {
        if(parentPropertyGroup) return parentPropertyGroup.object
        if(propertyPanel) return propertyPanel.object
        return null
    }
    readonly property int localControlMinimumWidth: item ? item.localControlMinimumWidth : 0
    readonly property int localControlPreferredWidth: item ? item.localControlPreferredWidth : 0 
    readonly property int localLabelMinimumWidth: item ? item.localLabelMinimumWidth : 0 
    readonly property string _tag: "propertyGroupLoader"
   
    readonly property Item parentPropertyGroup: {
        var item = parent
        while(item) {
            if(item._tag == "propertyGroup") return item
            item = item.parent
        }
        return null
    }

    readonly property Item propertyPanel: {
        var item = parent
        while(item) {
            if(item._tag == "propertyPanel") return item
            item = item.parent
        }
        return null
    }    
   
    Binding {
        target: item
        property: "offseted"
        value: root.offseted
        when: root.offseted
    }
    
    Binding {
        target: item
        property: "object"
        value: root.object
    }    
    
}