import QtQuick 2.0

Item {
	id: root
	property bool showAnchors: false
	property real borderWidth: 3
	property color borderColor: "lightgrey"
    property color anchorColor: "grey"
    Border {
        anchors.fill: parent
        borderWidth: root.borderWidth
        borderColor: root.borderColor
        antialiasing: root.antialiasing
    }
    
	property var anchorsModel:
	[
		{
			xAnchor: root.left,
			yAnchor: root.top
		},
		{
			xAnchor: root.horizontalCenter,
			yAnchor: root.top
		},
		{
			xAnchor: root.right,
			yAnchor: root.top
		},
		{
			xAnchor: root.left,
			yAnchor: root.bottom
		},
		{
			xAnchor: root.horizontalCenter,
			yAnchor: root.bottom
		},
		{
			xAnchor: root.right,
			yAnchor: root.bottom
		},		
		{
			xAnchor: root.left,
			yAnchor: root.verticalCenter
		},
		{
			xAnchor: root.right,
			yAnchor: root.verticalCenter
		}
	]
	
	Repeater
	{
		model: anchorsModel
		Item
		{
			anchors.left: modelData.xAnchor
			anchors.right: modelData.xAnchor
			anchors.top: modelData.yAnchor
			anchors.bottom: modelData.yAnchor
			Rectangle {
                color: anchorColor
				anchors.centerIn: parent
				width: root.borderWidth * 8
				height: root.borderWidth * 8
				visible: root.showAnchors
				antialiasing: root.antialiasing
                Border {
                    anchors.fill: parent
                    anchors.margins: root.borderWidth
                    borderWidth: root.borderWidth
                    borderColor: root.borderColor
                    antialiasing: root.antialiasing
                }
			}
		}
	}
}
