import QtQuick 2.4
import QtQuick.Controls 1.3

Item {
    property ActionsList actionsList: null
    readonly property Action copyAction: Action {
        text: qsTr("&Copy")
        shortcut: StandardKey.Copy
        enabled: (actionsList && actionsList.copyFunction !== null)
        onTriggered: {
            if (actionsList && actionsList.copyFunction !== null) {
                actionsList.copyFunction(source);
            }
        }
    }
    readonly property Action pasteAction: Action {
        text: qsTr("&Paste")
        shortcut: StandardKey.Paste
        enabled: (actionsList && actionsList.pasteFunction !== null)
        onTriggered: {
            if (actionsList && actionsList.pasteFunction !== null) {
                actionsList.pasteFunction(source);
            }
        }
    }
    readonly property Action cutAction: Action {
        text: qsTr("&Cut")
        shortcut: StandardKey.Cut
        enabled: (actionsList && actionsList.cutFunction !== null)
        onTriggered: {
            if (actionsList && actionsList.cutFunction !== null) {
                actionsList.cutFunction(source);
            }
        }
    }
    readonly property Action deleteAction: Action {
        text: qsTr("&Delete")
        shortcut: StandardKey.Delete
        enabled: (actionsList && actionsList.deleteFunction !== null)
        onTriggered: {
            if (actionsList && actionsList.deleteFunction !== null) {
                actionsList.deleteFunction(source);
            }
        }
    }
}
