import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Dialogs 1.2
import QtQuick.Layouts 1.1

Dialog {
    id: root
    width: 300
    modality: Qt.WindowModal
    property string caption: ""
    property alias text: textField.text
    signal entered(string value)
    onAccepted: {
        if(textField.text) {
            entered(textField.text)
            textField.text = ""
        }
    }
    onRejected: textField.text = ""
    standardButtons: StandardButton.Ok | StandardButton.Cancel
    ColumnLayout {
        id: layout
        width: parent.width
        Label {
            text: root.caption
        }
        TextField {
            id: textField
            Layout.fillWidth: true
        }
        Item {
            implicitWidth: 8
        }
    }
    onVisibleChanged: {
        if (visible) {
            textField.forceActiveFocus();
        }
    }
}
