import QtQuick 2.1
import QtQuick.Controls 1.0
import QtQuick.Controls.Styles 1.1

SpinBox {
    id: spinBox
    readonly property Item backgroundItem: children[0]
    readonly property Item textItem: children[4]
    implicitWidth: textField.__contentWidth + textField.__style.padding.left + textField.__style.padding.right + 16
	Binding {
        target: textItem
		property: "visible"
		value: false
	}
    
    minimumValue: 0
    maximumValue: 362439
    onValueChanged: fromSpinBoxToTextField()  
    
    TextField {
        id: textField
        anchors.fill: backgroundItem
        anchors.rightMargin: 16
        style: TextFieldStyle {
            background: Item {}
        }
        text: "0"
        inputMask: "99:99:99;0"
        onAccepted: {
            fromTextFieldToSpinBox()
            focus = false
        }
    }
    
    function fromSpinBoxToTextField() {
        var h = Math.floor(spinBox.value / 3600)
        var m = Math.floor((spinBox.value - (h * 3600)) / 60)
        var s = Math.floor(spinBox.value - (h * 3600) - (m * 60))
        if(h < 10) h = "0" + h
        if(m < 10) m = "0" + m
        if(s < 10) s = "0" + s
        textField.text = h + ':' + m + ':' + s       
    }
    
    function fromTextFieldToSpinBox() {
        var digits = textField.displayText.split(":")
        var h = parseInt(digits[0])
        var m = parseInt(digits[1])
        var s = parseInt(digits[2])
        spinBox.value = (h * 60 + m) * 60 + s    
    }     
    
    
    Component.onCompleted: fromSpinBoxToTextField()
}
