pragma Singleton  
import QtQuick 2.1
import GuiStyling 1.0
import MixerGuiControls 1.0

QtObject {
    id: root
	property string themeName: "Default"
    property Theme theme: loader.item
    readonly property int textHeight: dummyText.height
	property var loader: Loader {
		source: "themes/" + themeName + ".qml"
	}
	
    property Text _dummmyText: Text {
        id: dummyText
        font: theme.font     
    }

    onThemeChanged: setThemeToPallete()

    property string themeID: MixerThemeManager.themeID
    onThemeIDChanged: { setThemeToPallete() }

    function setThemeToPallete() {

        if (!MixerThemeManager || !MixerThemeManager.theme) {
            console.warn("Invalid MixerThemeManager")
            return
        }
        SystemPalleteSetter.setColor(SystemPalleteSetter.Active, SystemPalleteSetter.Window, MixerThemeManager.theme.colNeutralDark)
        SystemPalleteSetter.setColor(SystemPalleteSetter.Active, SystemPalleteSetter.WindowText, MixerThemeManager.theme.colNeutral)
        SystemPalleteSetter.setColor(SystemPalleteSetter.Disabled, SystemPalleteSetter.WindowText, MixerThemeManager.theme.colTextDisabled)

        SystemPalleteSetter.setColor(SystemPalleteSetter.Active, SystemPalleteSetter.Text,  MixerThemeManager.theme.colNeutral)
        SystemPalleteSetter.setColor(SystemPalleteSetter.Disabled, SystemPalleteSetter.Text, MixerThemeManager.theme.colTextDisabled)
        SystemPalleteSetter.setColor(SystemPalleteSetter.Active, SystemPalleteSetter.Highlight, MixerThemeManager.theme.colCommon)
        SystemPalleteSetter.setColor(SystemPalleteSetter.Active, SystemPalleteSetter.HighlightedText, MixerThemeManager.theme.colNeutralBlack)
    }
}
