import QtQuick 2.1
import "themeElements"
import QtQuick.Controls.Private 1.0

QtObject {
    id: root
    property font font: TextSingleton.font
    
    property color whiteColor: "white"												//     
    property color lightColor: Qt.rgba(240/255, 240/255, 240/255)					//  				
    property color midLightColor: Qt.rgba(200/255, 200/255, 200/255)			   	//   lightColor  midColor
    property color midColor: Qt.rgba(160/255, 160/255, 160/255)						//  
    property color midDarkColor: Qt.rgba(120/255, 120/255, 120/255)					//   midColor  darkColor
    property color darkColor: Qt.rgba(80/255,  80/255,  80/255)					    //  
    property color blackColor: "black"												//     
    property color highlightColor: "slateblue"										//    
    property color promptColor: "cornsilk"											//    	
    property int borderWidth: 1													    //    
    property int cornerRadius: 2													//     
    
    property color borderColor: darkColor										    //   
    property color disabledBorderColor: midColor									//        
    property color focusedBorderColor: highlightColor								//    
    property color textColor: blackColor  										    //  
    property color disabledTextColor: midDarkColor									//    
    property color highlightedTextColor: whiteColor									//    
  
    property WindowTheme window: WindowTheme { base: root }   
    property ButtonTheme button: ButtonTheme { base: root }
    property ToolButtonTheme toolButton: ToolButtonTheme { base: root }	
    property TextEditTheme textEdit: TextEditTheme { base: root }
    property SliderTheme slider: SliderTheme { base: root }
    property ScrollTheme scroll: ScrollTheme { base: root }
    property HeaderTheme header: HeaderTheme { base: root }   
    property PanelTheme panel: PanelTheme { base: root }  	
    property CollapsiblePanelTheme collapsiblePanel: CollapsiblePanelTheme { base: root }   	

}