import QtQuick 2.1
import "../"

Theme {
    
    font.pixelSize: 14

    whiteColor:		Qt.rgba(20/255, 20/255, 20/255)
    lightColor:		Qt.rgba(60/255, 60/255, 60/255)		
    midLightColor: Qt.rgba(100/255, 100/255, 100/255)
    midColor:	    Qt.rgba(130/255, 130/255, 130/255)
    midDarkColor:	Qt.rgba(160/255, 160/255, 160/255)
    darkColor:		Qt.rgba(200/255, 200/255, 200/255)
    blackColor:		Qt.rgba(240/255, 240/255, 240/255)

    textColor: Qt.rgba(191/255, 191/255, 191/255)
    focusedBorderColor: "darkorange"
    highlightColor: "darkorange" //"steelblue"
    highlightedTextColor: whiteColor
    

	cornerRadius: 0
    
    panel {
        borderColor: midDarkColor
    }
    
    button {
        normalColor:		Qt.rgba(180/255, 180/255, 180/255)
        normalColor2:		Qt.rgba(140/255, 140/255, 150/255)
        textColor:			whiteColor
        pressedTextColor:   Qt.rgba(200/255, 200/255, 200/255)
        pressedColor:		Qt.darker(lightColor)
        pressedColor2:	whiteColor
        hoveredColor:		darkColor
        disabledColor:	Qt.rgba(160/255, 160/255, 165/255)
        borderColor:		button.normalColor
        disabledBorderColor: button.disabledColor
        borderWidth:		0

        disabledTextColor: midLightColor

        normalGradientType:  "down"
        pressedGradientType: "up"
    }
    
    collapsiblePanel {
        headerColor:  button.normalColor
        headerColor2: button.normalColor2
        textColor:  whiteColor
        disabledTextColor: Qt.rgba(80/255, 80/255, 80/255)
    }
    textEdit {
        backgroundColor: lightColor
        backgroundColor2: Qt.rgba(50/255, 50/255, 50/255)
    }
}