import QtQuick 2.0
import QtQuickUtils 1.0
import GuiControls 1.0

Item {
    id: root
    property AspectSettings settings
    property CropSettings cropSettings
    property size defaultAspect
    readonly property rect croppedContentRect: fillModeItem.croppedContentRect
    readonly property rect contentRect: fillModeItem.contentRect
    readonly property real aspect: fillModeItem.aspect
    default property alias __content: fillModeItem.content
    FillModeItem {
        id: fillModeItem
        anchors.fill: parent
        fillMode: root.settings ? root.settings.fillMode : Image.Stretch
        aspect: {
            if(!settings) return 0
            var result = (settings.aspect.height != 0) ? settings.aspect : root.defaultAspect
            if(result.height == 0) return 0
            if(cropSettings && cropSettings.enabled && !cropSettings.keepOriginalSize) {
                result = Qt.size(
                    result.width * (100 - cropSettings.left - cropSettings.right), 
                    result.height * (100 - cropSettings.top - cropSettings.bottom)
                )
            }      
            return result.width/result.height
        } 
    }
}
