import QtQuick 2.0
import QtQuickUtils 1.0
import Serialization 1.0

QtObject {
    id: root
    property int fillMode: Image.PreserveAspectFit
    property int aspectType: 0 // 0 - auto, 1 - (4 : 3), 2 - (16 : 9), 3 - custom
    property int customWidth: 1
    property int customHeight: 1
    readonly property size aspect: {
        if(aspectType == 1) return Qt.size(4, 3)
        else if(aspectType == 2) return Qt.size(16, 9)
        else if(aspectType == 3) return Qt.size(customWidth, customHeight)
        else return Qt.size(0, 0)
    }
    function save() {
        return Serialization.readFromObject(root, ["aspect"])
    }
    function load(data) {
        Serialization.writeToObject(root, data)
    }

}
