import QtQuick 2.0
import Serialization 1.0

QtObject {
    id: root
    property bool enabled: false
    property real loColorHue: 0.0
    property real loColorValue: 0.0
    property real hiColorHue: 0.0
    property real hiColorValue: 0.0
    property real midColorHue: 0.0
    property real midColorValue: 0.0
    property real liftValue: 0.0
    property real gainValue: 1.0
    property real gammaValue: 1.0
    property real satValue: 1.0
    
    function setDefault() {
        loColorHue = 0.0
        loColorValue = 0.0
        hiColorHue = 0.0
        hiColorValue = 0.0
        midColorHue = 0.0
        midColorValue = 0.0
        liftValue = 0.0
        gainValue = 1.0
        gammaValue = 1.0
        satValue = 1.0  
    }
    
    function save() {
        return Serialization.readFromObject(root)
    }
    function load(data) {
        Serialization.writeToObject(root, data)
    }
}
