import QtQml 2.2
import Serialization 1.0

QtObject {
    id: root
    property bool enabled: false
    property bool keepOriginalSize: true
	property bool showWorkingArea: false
    property real left
    property real right
    property real top
    property real bottom
	property real feather
    
    function setDefault() {
        keepOriginalSize = true
        showWorkingArea = false
        left = 0
        right = 0
        top = 0
        bottom = 0
        feather = 0
    }       
    
    function save() {
        return Serialization.readFromObject(root)
    }
    
    function load(data) {
        Serialization.writeToObject(root, data)
    }
    
    onLeftChanged: if(left > 100 - right) left = 100 - right
    onRightChanged: if(right > 100 - left) right = 100 - left
    onTopChanged: if(top > 100 - bottom) top = 100 - bottom
    onBottomChanged: if(bottom > 100 - top) bottom = 100 - top    
}
