import QtQml 2.2
import Serialization 1.0

QtObject {
    id: root
    property bool enabled: false
    property real inWhite: 1.0
    property real inBlack: 0.0
    property real outWhite: 1.0
    property real outBlack: 0.0
    property real gammaValue: 1.0
    
    onInWhiteChanged: if(inBlack > inWhite) inBlack = inWhite
    onInBlackChanged: if(inWhite < inBlack) inWhite = inBlack
    onOutWhiteChanged: if(outBlack > outWhite) outBlack = outWhite
    onOutBlackChanged: if(outWhite < outBlack) outWhite = outBlack    

    function setDefault() {
        inWhite = 1.0
        inBlack = 0.0
        outWhite = 1.0
        outBlack = 0.0
        gammaValue = 1.0
    }
    
    function save() {
        return Serialization.readFromObject(root)
    }
    function load(data) {
        Serialization.writeToObject(root, data)
    }    
    
}
