import QtQuick 2.0

Item {
    id: root
    property Item source
    implicitWidth: enabled && source ? source.width : 0
    implicitHeight: enabled && source ? source.height : 0
    ShaderEffect {
        anchors.fill: parent
        property Item source: root.enabled ? root.source : null
        fragmentShader: "
            precision highp float;
            uniform sampler2D source;
            varying vec2 qt_TexCoord0;
            
            void main() 
            {
                float alpha = texture2D(source, qt_TexCoord0).a;
                gl_FragColor = vec4(alpha, alpha, alpha, 1.0);
            }
        "
    }
}