import QtQuick 2.0
import MixerGuiControls 1.0

Item {
    id: root
    implicitWidth: background.implicitWidth
    implicitHeight: background.implicitHeight
    property real seconds: date.getSeconds()
    property real minutes: date.getMinutes()
    property real hours: date.getHours()
    property date date: new Date()
    Timer {
        interval: 100; running: true; repeat: true
        onTriggered: root.date = new Date()
    }
    StyledImage {
        id: background
        anchors.fill: parent
        desc: MixerThemeManager.theme.imgClockAnalogBgnd
        fillMode: Image.PreserveAspectFit
    }    
    ClockArrows {
        color: Qt.rgba(239/255, 180/255, 78/255)
        seconds: root.seconds
        minutes: root.minutes
        hours: root.hours
    }
    StyledImage {
        anchors.fill: parent
        desc: MixerThemeManager.theme.imgClockAnalogFront
        fillMode: Image.PreserveAspectFit
    }          
}
