function linearToDb(value) {
    return 20. * Math.log(value) / Math.LN10
}

function dBToLinear(value) {
    return Math.pow(10, value / 20.)
}

function dbToScale(value, db0) {
    return value < db0 ? Math.pow(Math.E, value / 20.) : (1 + (1 - Math.pow(Math.E, db0/20.)) * value / -db0)
}

function scaleToDb(value, db0) {
    return value < Math.pow(Math.E, db0 / 20.) ? 20. * Math.log(value) : (value - 1) * -db0 / (1 - Math.pow(Math.E, db0/20.))
}

function linearToScale(value, db0) {
    return dbToScale(linearToDb(value), db0)
}

function scaleToLinear(value, db0) {
    return dBToLinear(scaleToDb(value, db0))
}
