import QtQuick 2.0

Item {
    id: root
    property real seconds
    property real minutes
    property real hours   
    width: parent.width
    height: parent.height
    property color color: "white"
    readonly property real size: Math.min(width, height)
    Item {
        anchors.centerIn: parent
        rotation: ((hours + minutes / 60) / 12) * 360
        Rectangle {
            color: root.color
            width: 4
            height: root.size/2 * 0.54
            x: -width/2
            y: -height + root.size * 0.04
            radius: 1
        }
    }   
    Item {
        anchors.centerIn: parent
        rotation: ((minutes + seconds / 60) / 60) * 360
        Rectangle {
            color: root.color
            width: 5
            height: root.size/2 * 0.7
            x: -width/2
            y: -height + root.size * 0.04
            radius: 1
        }
    }
    Item {
        anchors.centerIn: parent
        rotation: (seconds / 60) * 360
        Rectangle {
            color: root.color
            width: 2
            height: root.size/2 * 0.72
            x: -width/2
            y: -height + root.size * 0.04
            radius: 1
        }
        Behavior on rotation {
            RotationAnimation { duration: 30; direction: RotationAnimation.Clockwise }
            
        }
   }
}   