import QtQuick 2.1
import QtQuick.Controls 1.1
import MixerGuiControls 1.0

Button {
    id: root
    property string icon: ""
    iconSource: icon ? MixerThemeManager.theme.iconFolder + icon + ".png" : ""
    style: DialogButtonStyle { fontSize: root.fontSize }
    property bool darkScheme: true
    property int fontSize: MixerThemeManager.theme.buttonTextFontSize
    
    Keys.onPressed: {
        if ((event.key === Qt.Key_Return || event.key === Qt.Key_Enter) && !event.isAutoRepeat && !__behavior.pressed)
            __behavior.keyPressed = true
    }
    
    Keys.onReleased: {
        if ((event.key === Qt.Key_Return || event.key === Qt.Key_Enter) && !event.isAutoRepeat && __behavior.keyPressed) {
            __behavior.keyPressed = false
            __action.trigger(root)
            __behavior.toggle()
        }
    }
}
