import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2
import MixerGuiControls 1.0

ButtonStyle {
    id: root
    padding.left: 8
    padding.right: 8
    padding.top: 0
    padding.bottom: 0        
    property bool pressed: control.pressed || control.checked
    property bool square: false
    property int verticalOffsetOnPressing: 1
    property int fontSize: MixerThemeManager.theme.buttonTextFontSize

    background: Item {
        implicitWidth: root.square ? MixerThemeManager.theme.dialogButtonHeight : MixerThemeManager.theme.dialogButtonWidth
        implicitHeight: MixerThemeManager.theme.dialogButtonHeight
        
        StyledImage {
            id: backgroundImage
            anchors.fill: parent
            anchors.topMargin: root.pressed ? verticalOffsetOnPressing : 0
            anchors.bottomMargin: root.pressed ? -verticalOffsetOnPressing : 0
            desc: root.pressed ? MixerThemeManager.theme.imgDialogButtonPressed : MixerThemeManager.theme.imgDialogButton
            Rectangle {
                visible: control.activeFocus
                anchors.fill: parent
                color: "transparent"
                border.color: MixerThemeManager.theme.colSelected["common"]
                border.width: 1
                opacity: 0.7
                radius: 2
            }            
        }
        MixerIcon {
            visible: !!control.iconSource
            source: control.iconSource
            anchors.centerIn: parent
            anchors.verticalCenterOffset: root.pressed ? verticalOffsetOnPressing : 0
            colorType: root.pressed ? "common" : "neutral"
            highlighted: !root.pressed && control.hovered
        }
    }
    label: Item {
        implicitWidth: buttonLabel.implicitWidth
        implicitHeight: buttonLabel.implicitHeight
        MixerLabel {
            id: buttonLabel
            text: control.text
            //dark:  !darkScheme
            colorType: root.pressed ? "common" : "neutral"
            highlighted: !root.pressed && control.hovered
            font.pixelSize: fontSize
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            anchors.centerIn: parent
            anchors.verticalCenterOffset: root.pressed ? verticalOffsetOnPressing : 0
        }
    }
}    
