import QtQuick 2.1
import GuiControls 1.0
import QtQuick.Controls.Styles 1.1
import MixerGuiControls 1.0

CollapsiblePanelStyle {
    headerButtonSpacing: MixerThemeManager.theme.propertyHeaderSpacing
    headerItemSpacing: MixerThemeManager.theme.propertyHeaderItemSpacing
    headerVerticalOffsetOnPressing: 1
    headerBackground: StyledImage {
        implicitHeight: MixerThemeManager.theme.propertyHeaderHeight
        desc: styleData.pressed ? MixerThemeManager.theme.imgPropertyHeaderPressed : MixerThemeManager.theme.imgPropertyHeader
    }
    
    headerTitle: MixerLabel {
        text: styleData.title
        verticalAlignment: Text.AlignVCenter
        colorType: styleData.pressed ? "common" : "neutral"
        highlighted: !styleData.pressed && styleData.hovered         
    }
    
    expander: StyledImage {
        desc: styleData.expanded ? MixerThemeManager.theme.imgExpandOn : MixerThemeManager.theme.imgExpandOff
    }
    
    buttonIconFolder: MixerThemeManager.theme.iconFolder
    headerButtonStyle: DialogButtonStyle {
        square: true
    }
}
