import QtQuick 2.1
import GuiControls 1.0
import MixerGuiControls 1.0

Icon {
    id: root
    property string icon
    property string colorType: "neutral"    // "neutral", "preset", "program"
    property bool active: true
    property bool highlighted: false
    property bool useSelectionColor: false  // если true то для "preset" и "program" используюутся theme.colSelected
    property bool noMouseArea: false
    source: icon ? MixerThemeManager.theme.iconFolder + icon + ".png" : ""
    signal clicked()
    
    color: {
        if(!enabled) return MixerThemeManager.theme.colIconDisabled
        if(!active) return MixerThemeManager.theme.colIconInactive
        if(highlighted) return MixerThemeManager.theme.colIconHighlight[colorType]
        if(useSelectionColor) return MixerThemeManager.theme.colSelected[colorType] || MixerThemeManager.theme.colIcon["neutral"]
        return MixerThemeManager.theme.colIcon[colorType]
    }
    strokeColor: {
        if(!enabled || !active) return "transparent"
        return MixerThemeManager.theme.colIconOutline[colorType]
    }
    glowColor: {
        if(!enabled || !active || colorType == "neutral") return "transparent"
        return MixerThemeManager.theme.colIconGlow[colorType]
    }    
    
    MouseArea {
        visible: !noMouseArea
        anchors.fill: parent
        onClicked: root.clicked()
    }
}
