import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2
import QtQuick.Layouts 1.1
import GuiControls 1.0
import MixerGuiControls 1.0

Button {
    id: root
    property string icon: ""
    iconSource: icon ? MixerThemeManager.theme.iconFolder + icon + ".png" : ""  
    property bool highlightChecked: true
    property string colorType: pressed || (highlightChecked && checked) ? "common" : "neutral"
    property bool highlighted: !(pressed || (highlightChecked && checked)) && hovered
    activeFocusOnTab: false
    
    style: ButtonStyle {
        padding {left: 0; top: 0; right: 0; bottom: 0} 
        background: MixerIcon {
            source: control.iconSource
            enabled: control.enabled
            colorType: root.colorType
            highlighted: root.highlighted
        }
        label: Item {}
    }  
}
