import QtQuick 2.0
import MixerGuiControls 1.0

Text {
    property string colorType: "neutral"    // "neutral", "preset", "program", "common"
    property bool active: true
    property bool highlighted: false
    property bool dark: false
    
    elide: Text.ElideRight
    color: {
        if(!enabled) return MixerThemeManager.theme.colTextDisabled
        if(!active) return MixerThemeManager.theme.colTextInactive
        if(highlighted) return MixerThemeManager.theme.colTextHighlight[colorType]
        return !dark ? MixerThemeManager.theme.colText[colorType] : MixerThemeManager.theme.colTextOutline[colorType]
    }
    font.family: MixerThemeManager.theme.fontFamily
    font.pixelSize: MixerThemeManager.theme.headerFontSize
    style: enabled && active ? Text.Outline : Text.Normal
    styleColor: dark ? MixerThemeManager.theme.colText[colorType] : MixerThemeManager.theme.colTextOutline[colorType]
}
