import QtQuick 2.11
import QtQuick.Controls 2.4
import QtQuick.Window 2.11
import MixerGuiControls 1.0

Menu {
    id: root
    property int minWidth: 150
    topPadding: 2
    bottomPadding: topPadding
    overlap: 1

    readonly property int autoWidth: {
        var result = 0; var padding = 0;
        for (var i = 0; i < count; ++i) {
            var item = itemAt(i);
            var type = item.toString().split("_")[0]
            if (type!="MixerMenuSeparator") {
                result = Math.max(item.contentItem.implicitWidth, result)
                padding = Math.max(item.leftPadding + item.rightPadding, padding)
            }
        }
        return result + padding
    }

    implicitWidth: Math.max(minWidth, autoWidth)
    implicitHeight: contentItem.implicitHeight + topPadding + bottomPadding

    delegate: MixerMenuItem { }

    background: Rectangle {
        color: MixerThemeManager.theme.colNeutralDark
        border.color: MixerThemeManager.theme.colNeutral
        border.width: 0
    }

    contentItem: ListView {
        implicitHeight: contentHeight
        model: root.contentModel
        interactive: Window.window ? contentHeight > Window.window.height : false
        clip: false
        currentIndex: root.currentIndex
        ScrollIndicator.vertical: ScrollIndicator {}
    }
}
