import QtQuick 2.11
import QtQuick.Controls 2.4
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

MenuBar {
    id: root
    visible: true
    implicitHeight: MixerThemeManager.theme.menuHeight

    //padding.left: 16
    //padding.right: 100

    property bool minimizeButtonVisible: false
    property bool maximizeButtonVisible: false
    property bool restoreButtonVisible: false
    property bool closeButtonVisible: false

    signal minimizeButtonClicked()
    signal maximizeButtonClicked()
    signal restoreButtonClicked()
    signal closeButtonClicked()

    delegate: MixerMenuBarItem {}

    background: Item {
        id: background
        RowLayout {
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 10
            parent: background.parent
            spacing: 8
            MixerIconButton {
                visible: root.minimizeButtonVisible
                icon: "WindowMinimize"
                onClicked: root.minimizeButtonClicked()
            }
            MixerIconButton {
                visible: root.restoreButtonVisible
                icon: "WindowRestore"
                onClicked: root.restoreButtonClicked()
            }
            MixerIconButton {
                visible: root.maximizeButtonVisible
                icon: "WindowMaximize"
                onClicked: root.maximizeButtonClicked()
            }
            MixerIconButton {
                visible: root.closeButtonVisible
                icon: "WindowClose"
                onClicked: root.closeButtonClicked()
            }
        }
    }
}
