import QtQuick 2.11
import QtQuick.Controls 2.4
import MixerGuiControls 1.0

MenuBarItem {
    id: menuItem
    topPadding: (menuBar.implicitHeight-contentItem.implicitHeight)/2
    leftPadding: MixerThemeManager.theme.itemSpacing
    rightPadding: leftPadding*2
    property color colBgnd:     MixerThemeManager.theme.colNeutralDark
    property color colText:     MixerThemeManager.theme.colNeutral
    property color colTextSel:  MixerThemeManager.theme.colCommon
    property color colTextDisab:MixerThemeManager.theme.colTextDisabled

    implicitWidth:  contentItem.implicitWidth + leftPadding + rightPadding
    implicitHeight: contentItem.implicitHeight + topPadding + bottomPadding
    baselineOffset: contentItem.y + contentItem.baselineOffset
    spacing: 0

    font.family: MixerThemeManager.theme.fontFamily
    font.pixelSize: MixerThemeManager.theme.menuFontSize

    //background: Rectangle { color: colBgnd    }
    background: null

    contentItem: Text {
        id: label
        text: menuItem.text //formatMnemonic(menuItem.text, true)
        font: menuItem.font
        color: {
            if (!menuItem.enabled) return  colTextDisab
            if (menuItem.selected || menuItem.highlighted) return  colTextSel
            return colText
        }
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        elide: Text.ElideRight
    }

    property bool _act: false
    onTriggered: {
        //console.warn("Triggered", menuItem.highlighted)
        _act = true
    }
    Connections {
        target: menuItem.menu
        onOpened: {
            //console.warn("Opened");
            _act = false
        }
        onClosed: {
            //console.warn("Closed");
            if (_act) _act = false
            else
            if (menuItem.highlighted) {
                menuItem.clicked()
                menuItem.highlighted = false
            }
        }
    }
}
