import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2
import MixerGuiControls 1.0

MenuStyle {
    property color colBgnd:     MixerThemeManager.theme.colNeutralDark
    property color colText:     MixerThemeManager.theme.colNeutral
    property color colTextSel:  MixerThemeManager.theme.colCommon
    property color colTextDisab:MixerThemeManager.theme.colTextDisabled

    frame: Rectangle {
        color: colBgnd
    }

    property int subMenuOverlap: -1

    itemDelegate.background: Rectangle {
        color: {
            if (!styleData.enabled) return colBgnd
            if (styleData.selected) return colBgnd //Qt.lighter(colBgnd, 1.2)
            return colBgnd
        }
    }

    itemDelegate.label: Text {
        text: " " + formatMnemonic(styleData.text, true)
        font.family: MixerThemeManager.theme.fontFamily
        color: {
            if (!styleData.enabled) return  colTextDisab
            if (styleData.selected) return  colTextSel
            return colText
        }
        font.pixelSize: MixerThemeManager.theme.menuFontSize
    }

    itemDelegate.submenuIndicator: Text {
        text: ">"
        font.family: MixerThemeManager.theme.fontFamily
        color: {
            if (!styleData.enabled) return colTextDisab
            if (styleData.selected) return colTextSel
            return colText
        }
        font.pixelSize: MixerThemeManager.theme.menuFontSize
    }

    itemDelegate.shortcut: Text {
        text: styleData.shortcut
        font.family: MixerThemeManager.theme.fontFamily
        color: {
            if (!styleData.enabled) return colTextDisab
            if (styleData.selected) return colTextSel
            return  colText
        }
        font.pixelSize: MixerThemeManager.theme.menuFontSize
    }

    itemDelegate.checkmarkIndicator: CheckBox {
        checked: styleData.checked
    }

    scrollIndicator: Item {
        implicitHeight: scrollIndicatorIcon.implicitHeight + 6
        MixerIcon {
            anchors.centerIn: parent
            id: scrollIndicatorIcon
            icon: styleData.scrollerDirection == Qt.UpArrow ? "ScrollUp" : "ScrollDown"
            strokeColor: "transparent"
        }
    }
}
