import QtQuick 2.0
import QtQuick.Controls 1.0
import MixerGuiControls 1.0

MixerDialog {
    id: root
    property alias caption: textArea.text
    property alias captionWidth: textArea.implicitWidth
    property alias captionHeight: textArea.implicitHeight
    property bool clearOnClosing: false

    function showMessage(message) {
        textArea.text = message
        if(!visible) open()
    }
    
    function addMessage(message) {
        textArea.append(message)
        if(!visible) open()
    }
    
    TextArea {
        id: textArea
        readOnly: true
        implicitWidth: 400
        implicitHeight: 150
    }
    
    autoHide: false
    buttons: [qsTr("OK")]
    onButtonClicked: close()
    
    onClosing: {
        if(clearOnClosing && textArea.text) {
            textArea.cursorPosition = 0
            textArea.text = "" // HACK: очищаем текст, и закрываем окно через некоторое время, иначе старый текст промелькнет при повторном открытии [ECG-518]
            close.accepted = false
            closeTimer.start()
        }
    }
    readonly property Timer closeTimer: Timer {
        repeat: false
        interval: 50
        onTriggered: {
            textArea.text = ""
            root.close()
        }
    }    
}