import QtQuick 2.1
import GuiControls 1.0
import QtQuick.Controls.Styles 1.1
import MixerGuiControls 1.0

PropertyPanelStyle {
    property bool transpBgnd: false

    readonly property Component compT:  Item {}
    readonly property Component compS:  OutputBackground {}
    background: transpBgnd ? compT : compS

    scrollBarSpacing: MixerThemeManager.theme.scrollBarSpacing
    scrollViewStyle: MixerScrollViewStyle {}
    collapsiblePanelStyle: MixerCollapsiblePanelStyle {}
    toolButtonStyle: ButtonStyle {
        padding {left: 0; top: 0; right: 0; bottom: 0} 
        background: Item {
            implicitWidth: MixerThemeManager.theme.toolbarButtonSize
            implicitHeight: MixerThemeManager.theme.toolbarButtonSize
            StyledImage {
                anchors.fill: parent
                desc: (control.pressed || control.checked) ? MixerThemeManager.theme.imgButtonSensorPressed : MixerThemeManager.theme.imgButtonSensor
            }
            MixerIcon {
                visible: !!control.iconSource
                source: control.iconSource
                anchors.centerIn: parent
                colorType: control.pressed || control.checked ? "preset" : "neutral"
                highlighted: !(control.pressed || control.checked) && control.hovered
            }            
        }
        label: Item {}
    }  
    
    headerCheckBoxStyle: CheckBoxStyle {
        label: Item {}
        indicator: StyledImage {
            desc: control.checkedState == Qt.Checked ? MixerThemeManager.theme.imgSwitchOn : MixerThemeManager.theme.imgSwitchOff
        }
    }
}
