import QtQuick 2.1
import QtQuick.Controls.Styles 1.1
import MixerGuiControls 1.0

ScrollViewStyle {
    property int _pad: control.frameVisible ? MixerThemeManager.theme.controlPadding  : 0
    padding {
        left: _pad;  top: _pad
        right: _pad; bottom: _pad
    }
    __externalScrollBars: true
    __scrollBarSpacing: MixerThemeManager.theme.scrollBarSpacing
    
    scrollBarBackground: StyledImage {
        desc: {
            if(styleData.horizontal) return __externalScrollBars ? MixerThemeManager.theme.imgScrollerBgnd : MixerThemeManager.theme.imgScrollerBgndHorInner
            else return __externalScrollBars ? MixerThemeManager.theme.imgScrollerBgnd : MixerThemeManager.theme.imgScrollerBgndVertInner     
        }
        opacity: __externalScrollBars ? 1 : 0.8
    }
    handle: StyledImage {
        desc: {
            if(styleData.horizontal) return __externalScrollBars ? MixerThemeManager.theme.imgScrollerThumbHor : MixerThemeManager.theme.imgScrollerThumbHorInner
            else return __externalScrollBars ? MixerThemeManager.theme.imgScrollerThumbVert : MixerThemeManager.theme.imgScrollerThumbVertInner
        }
    }
    
    frame: Item {
        visible: control.frameVisible
        OutputBackground {
            anchors.fill: parent
        }
    }
    corner: Item {}
    incrementControl: Item {}
    decrementControl: Item {}
}
