import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.0
import MixerGuiControls 1.0

SliderStyle {
    id: root
    property bool scaleVisible: true
    property int scaleIntervalCount: 6
    property bool lighterGroove: false
    
    groove: StyledImage {                  
        desc: MixerThemeManager.theme.imgSliderGroove
        solidBgnd.color: lighterGroove ? Qt.lighter(MixerThemeManager.theme.imgSliderGroove.colFill) : MixerThemeManager.theme.imgSliderGroove.colFill
        SliderScaleTicks {
            visible: root.scaleVisible
            intervalCount: root.scaleIntervalCount
            anchors.fill: parent
            anchors.leftMargin: 12
            anchors.rightMargin: 12
            anchors.topMargin: -9
            anchors.bottomMargin: -9
        }
    }
    
    handle: StyledImage {
        desc: (control.hovered || control.pressed || control.activeFocus) ? MixerThemeManager.theme.imgSliderThumbSmallHovered : MixerThemeManager.theme.imgSliderThumbSmall
    }
}
