import QtQuick 2.1
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

Item {
    id: root
    property int orientation: Qt.Horizontal
    property list<QtObject> content
    default property alias _content: root.content  
    implicitWidth: orientation == Qt.Horizontal ? layoutLoader.implicitWidth : MixerThemeManager.theme.toolbarHeaderHeight
    implicitHeight: orientation == Qt.Horizontal ? MixerThemeManager.theme.toolbarHeaderHeight : layoutLoader.implicitHeight
    property int spacing: MixerThemeManager.theme.toolbarButtonSpacing
    
    Component {
        id: rowComponent    
        RowLayout {
            data: root.content
            property int _toolbarOrientation: Qt.Horizontal
            spacing: root.spacing
        }
    }
    
    Component {
        id: columnComponent    
        ColumnLayout {
            data: root.content
            property int _toolbarOrientation: Qt.Vertical
            spacing: root.spacing
        }
    }
    
    Loader {
        id: layoutLoader
        anchors.fill: parent
        sourceComponent: root.orientation == Qt.Horizontal ? rowComponent : columnComponent
    }
}
