import QtQuick 2.0
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.4
import MixerGuiControls 1.0

TreeViewStyle {
    backgroundColor: "black"
    property MixerScrollViewStyle scrollViewStyle: MixerScrollViewStyle {
        __externalScrollBars: false
    }
    scrollBarBackground: scrollViewStyle.scrollBarBackground
    corner: scrollViewStyle.corner
    handle: scrollViewStyle.handle
    incrementControl: scrollViewStyle.incrementControl
    decrementControl: scrollViewStyle.decrementControl
    
    headerDelegate: Item {
        height: label.implicitHeight * 1.4
        MediaBarBackground {
            anchors.fill: parent
            MixerLabel {
                id: label
                anchors.fill: parent
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: styleData.textAlignment
                anchors.leftMargin: styleData.textAlignment == Text.AlignLeft ? 8 : 0
                anchors.rightMargin: styleData.textAlignment == Text.AlignRight ? 12 : 0
                text: styleData.value
                elide: Text.ElideRight
                font.pixelSize: MixerThemeManager.theme.systemFontSize
            }
        }
    }
    
    rowDelegate: Item {
        height: MixerThemeManager.theme.systemFontSize + 4
    }
    
    itemDelegate: Item {
        MixerLabel {
            anchors.fill: parent
            text: styleData.value
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: styleData.textAlignment
            colorType: styleData.selected ? "common" : "neutral"
            font.pixelSize: MixerThemeManager.theme.systemFontSize 
        }       
    }
    
    branchDelegate: Item {
        width: 16
        height: 16
        StyledImage {
            anchors.centerIn: parent
            desc: MixerThemeManager.theme.imgTreeViewArrow
            opacity: branchMouseArea.containsMouse ? 1 : 0.7
            rotation: styleData.isExpanded ? 90 : 0
            Behavior on rotation {
                NumberAnimation { duration: 120 }
            }
        }
        MouseArea {
            id: branchMouseArea
            anchors.fill: parent
            hoverEnabled: true
            acceptedButtons: Qt.NoButton
        }
    }
}