import QtQuick 2.0
import MixerGuiControls 1.0
import QtQuick.Layouts 1.1
import QtQuick.Window 2.2

MixerPanelHeader {
    id: root
    implicitHeight: MixerThemeManager.theme.dialogHeaderHeight
    property bool closeButtonVisible: true
    property bool minimizeButtonVisible: false    
    property bool maximizeButtonVisible: false
    property bool closeButtonEnabled: true
    property bool minimizeButtonEnabled: true    
    property bool maximizeButtonEnabled: true    
    property int windowVisibility: Window.Windowed
    buttonVerticalOffset: 0
    buttonSpacing: 1
    signal close()
    signal minimize()
    signal maximize()
    signal restore()

    buttons: [
        MixerIconButton {
            icon: "WindowMinimize"
            visible: minimizeButtonVisible
            enabled: minimizeButtonEnabled
            onClicked: root.minimize()
        },
        MixerIconButton {
            icon: windowVisibility == Window.Windowed ? "WindowMaximize" : "WindowRestore"
            visible: maximizeButtonVisible
            enabled: maximizeButtonEnabled
            onClicked: windowVisibility == Window.Windowed ? root.maximize() : root.restore()
        },
        MixerIconButton {
            icon: "WindowClose"
            visible: closeButtonVisible
            enabled: closeButtonEnabled
            onClicked: root.close()
        }
    ]
    gripperVisible: true
}
