import QtQuick 2.0
import QtQuick.Controls 1.0

Item {
    id: root
    implicitWidth: 100
    implicitHeight: 100
    property bool active: true
    Canvas {
        opacity: root.active ? 0.8 : 0
        Behavior on opacity {
            NumberAnimation { duration: 200 }
        }        
        antialiasing: true
        anchors.fill: parent
        property real triangleSideLength: width * 0.5
        onPaint: {
            var ctx = getContext("2d")
            context.clearRect(0, 0, width, height)
            ctx.fillStyle = "#222222"
            ctx.strokeStyle = "#222222"
            ctx.lineWidth = 3
            ctx.lineJoin = "round"
            ctx.beginPath()
            ctx.ellipse(0, 0, width, height)
            ctx.fill()
            
            ctx.fillStyle = "#ffffff"
            ctx.strokeStyle = "#ffffff"
            ctx.beginPath()
            ctx.translate(0.5 * width, 0.5 * height)
            var R = triangleSideLength * Math.sqrt(3) / 3
            ctx.moveTo(R, 0)
            ctx.lineTo(-R * 0.5, -triangleSideLength * 0.5)
            ctx.lineTo(-R * 0.5, triangleSideLength * 0.5)
            ctx.closePath()
            ctx.fill()
            ctx.stroke()
            ctx.restore()
        }
    }
}