import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2
import GuiControls 1.0
import QtGraphicalEffects 1.0
import MixerGuiControls 1.0

Button {
    id: root
    property string colorType: "neutral"    // "neutral", "preset", "program"
    property string icon: ""
    iconSource: icon ? MixerThemeManager.theme.iconFolder + icon + ".png" : ""
    property bool backgroundOnlyOnHovered: false
    
    style: ButtonStyle {
        padding.left: MixerThemeManager.theme.controlPadding
        padding.right: padding.left
        background: Item {
            implicitWidth: backgroundImage.implicitWidth
            implicitHeight: backgroundImage.implicitHeight
            StyledImage {
                id: backgroundImage
                anchors.fill: parent
                desc: (control.pressed || control.checked) ? MixerThemeManager.theme.imgButtonSensorPressed : MixerThemeManager.theme.imgButtonSensor
                visible: !backgroundOnlyOnHovered || control.hovered || control.checked
            }
            MixerIcon {
                visible: !!control.iconSource
                source: control.iconSource
                anchors.centerIn: parent
                colorType: root.colorType
                highlighted: (control.hovered || control.checked) && colorType == "neutral"
                useSelectionColor: true
            }            
        }
        label: MixerLabel {
            text: control.text
            font.pixelSize: MixerThemeManager.theme.buttonTextFontSize < width-MixerThemeManager.theme.controlPadding*2 ? MixerThemeManager.theme.buttonTextFontSize
                                                                       : MixerThemeManager.theme.systemFontSize
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            colorType: root.colorType
            highlighted: control.hovered && colorType == "neutral"            
        }
    }    
}
