import QtQuick 2.1
import "."

Item {
    id: root
    property StyledImageDesc desc
    property alias fillMode: image.fillMode
    property bool mirror: false
    property alias image: image
    property alias solidBgnd: solidBgnd

    readonly property bool isBorderImage: desc.borders[0] != 0 || desc.borders[1] != 0 || desc.borders[2] != 0 || desc.borders[3] != 0
    implicitWidth:  image.source!="" ? image.implicitWidth - desc.margins[0] - desc.margins[2] : desc.width
    implicitHeight: image.source!="" ? image.implicitHeight- desc.margins[1] - desc.margins[3] : desc.height
    
    Rectangle {
        id: solidBgnd
        anchors.fill: parent
        visible: image.status!=Image.Ready
        color: desc.colFill
        opacity: desc.opacity
    }

    Image {
        id: image
        visible: !isBorderImage
        source: root.desc.source
        anchors.fill: parent  
        anchors.leftMargin: -root.desc.margins[0]
        anchors.topMargin: -root.desc.margins[1]
        anchors.rightMargin: -root.desc.margins[2]
        anchors.bottomMargin: -root.desc.margins[3]
        mirror: root.mirror
    }    
    
    BorderImage {
        id: borderImage
        visible: isBorderImage
        source: root.desc.source
        anchors.fill: parent  
        anchors.leftMargin: -root.desc.margins[0]
        anchors.topMargin: -root.desc.margins[1]
        anchors.rightMargin: -root.desc.margins[2]
        anchors.bottomMargin: -root.desc.margins[3]       
        border.left: root.desc.borders[0]
        border.top: root.desc.borders[1]
        border.right: root.desc.borders[2]
        border.bottom: root.desc.borders[3]
        horizontalTileMode: root.desc.horizontalTile ? BorderImage.Repeat : BorderImage.Stretch
        verticalTileMode: root.desc.verticalTile ? BorderImage.Repeat : BorderImage.Stretch    
        mirror: root.mirror
    }
    
}
