import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.0
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

Item {
    id: root
    property alias value: slider.value
    property alias pressed: slider.pressed
    property alias orientation: slider.orientation
    property int  intervalCount: 6
    property bool hasTicks: true
    property int  endsTickMargin: 13
    property int  sideTickMargin: 9
    implicitWidth:  orientation==Qt.Vertical ?   slider.implicitWidth  : 120
    implicitHeight: orientation==Qt.Horizontal ? slider.implicitHeight : 150

    Slider {
        id: slider
        anchors.fill: parent
        orientation: Qt.Vertical
        activeFocusOnTab: false
        style: SliderStyle {
            groove: StyledImage {
                desc: MixerThemeManager.theme.imgTBarGroove
                SliderScaleTicks {
                    visible: hasTicks
                    intervalCount: root.intervalCount
                    anchors.fill: parent
                    anchors.leftMargin: endsTickMargin
                    anchors.rightMargin: endsTickMargin
                    anchors.topMargin:   -sideTickMargin
                    anchors.bottomMargin: -sideTickMargin
                }
            }
            handle: StyledImage {
                desc: slider.orientation == Qt.Vertical && MixerThemeManager.theme.imgTBarThumbVert.height ? MixerThemeManager.theme.imgTBarThumbVert : MixerThemeManager.theme.imgTBarThumb
                //mirror: slider.orientation == Qt.Vertical
            }
        }
        BlockMouseWheel {
            anchors.fill: parent
        }
    }
    
}
