import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.0
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

RowLayout {
    id: root
    property alias value: slider.value
    property alias pressed: slider.pressed
    property alias stepSize: slider.stepSize
    property alias minimumValue: slider.minimumValue
    property alias maximumValue: slider.maximumValue
    property alias orientation: slider.orientation
    property int spacing1: 20
    property int spacing2: 10    
    property int scaleIntervalCount: 6
    property string suffix: " s"
    property bool showValue: true
    spacing: 0

    ColumnLayout {
        //anchors.fill: parent
        spacing: 0
        Slider {
            id: slider
            orientation: Qt.Horizontal
            Layout.fillWidth: true
            Layout.fillHeight: true
            activeFocusOnTab: false
            implicitWidth:  orientation==Qt.Horizontal ? 100 : 24
            implicitHeight: orientation==Qt.Vertical ?   50 :  24
            stepSize: 100
            minimumValue: 0
            maximumValue: 3000
            style: MixerSliderStyle {
                scaleIntervalCount: root.scaleIntervalCount
            }
            BlockMouseWheel {
                anchors.fill: parent
            }
        }
        Item {
            visible: showValue && orientation==Qt.Vertical
            implicitHeight: root.spacing1
        }
        Loader {
            visible: showValue && orientation==Qt.Vertical
            sourceComponent: timeText
            Layout.alignment: Qt.AlignHCenter
        }
        Item {
            visible: showValue && orientation==Qt.Vertical
            implicitHeight: root.spacing2
        }
    }

    Item {
        visible: showValue && orientation==Qt.Horizontal
        implicitWidth: root.spacing1
    }
    
    Loader {
        visible: showValue && orientation==Qt.Horizontal
        sourceComponent: timeText
    }
    
    Item {
        visible: showValue && orientation==Qt.Horizontal
        implicitWidth: root.spacing2
    }

    Component {
        id: timeText
        MixerLabel {
            visible: showValue
            text: (root.value / 1000).toFixed(1) + root.suffix
            elide: Text.ElideNone
            font.pixelSize: MixerThemeManager.theme.headerFontSize
        }
    }
}
