import QtQuick 2.1
import MixerGuiControls 1.0

Item {
    id: root
    implicitWidth: spinnerScale.visible ? spinnerScale.implicitWidth : spinnerHandle.implicitWidth
    implicitHeight: spinnerScale.visible ? spinnerScale.implicitHeight : spinnerHandle.implicitHeight
    property real value: 0
    property real maxValue: 6000
    property real mouseScale: 5.0
    property alias pressed: mouseArea.pressed
    property bool hasScale: true
    StyledImage {
        id: spinnerScale
        anchors.centerIn: parent
        //anchors.fill: parent
        visible: hasScale
        desc: MixerThemeManager.theme.imgSpinnerScale
    }
    StyledImage {
        id: spinnerHandle
        anchors.centerIn: parent
        desc: MixerThemeManager.theme.imgSpinnerHandle
    }    
    StyledImage {
        id: spinnerDot
        anchors.centerIn: parent
        desc: MixerThemeManager.theme.imgSpinnerDot
        rotation: 35 + (value / maxValue) * (360 - 80)
    }       

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        acceptedButtons: Qt.LeftButton  
        property real dragValue
        property real dragPosX
        property real dragPosY
        onPressed: {
            dragValue = root.value
            dragPosX = mouse.x
            dragPosY = mouse.y
        }        
        onPositionChanged: {
            var value = (mouse.x - dragPosX + dragPosY - mouse.y) / (root.width/2 * root.mouseScale / maxValue) + dragValue
            root.value = Math.min(Math.max(0, value), maxValue)
        }
    }
}
