import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2
import QtQuick.Layouts 1.1
import GuiControls 1.0
import MixerGuiControls 1.0

Button {
    id: root
    property string icon: ""
    iconSource: icon ? MixerThemeManager.theme.iconFolder + icon + ".png" : ""
    Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter      
    
    style: ButtonStyle {
        padding {left: 0; top: 0; right: 0; bottom: 0} 
        background: Item {
            implicitWidth: MixerThemeManager.theme.toolbarButtonSize
            implicitHeight: MixerThemeManager.theme.toolbarButtonSize
            StyledImage {
                visible: control.hovered || control.activeFocus
                anchors.fill: parent
                desc: (control.pressed || control.checked) ? MixerThemeManager.theme.imgButtonSensorPressed : MixerThemeManager.theme.imgButtonSensor
            }
            MixerIcon {
                visible: !!control.iconSource
                source: control.iconSource
                anchors.centerIn: parent
                colorType: control.pressed || control.checked ? "common" : "neutral"
                highlighted: !(control.pressed || control.checked) && control.hovered
            }            
        }
        label: Item {}
    }  
}
