import QtQuick 2.0
import QtQuick.Window 2.1
import MultipleScreens 1.0

Item {
    default property Component delegate
    data: Repeater {
        model: ScreenInfo.screens.length
        Item {
            Window {
                id: window
                property var screen: ScreenInfo.screens[model.index]
                x: screen.geometry.x
                y: screen.geometry.y
                width: screen.geometry.width
                height: screen.geometry.height
                flags: Qt.Window | Qt.FramelessWindowHint | Qt.WindowStaysOnTopHint
                Component.onCompleted: window.show()
                Loader {
                    property QtObject screen: window.screen
                    sourceComponent: delegate
                    anchors.fill: parent
                }
            }
        }
    }
}
