import QtQuick 2.2

Rectangle {
    id: root
    property bool pressed
    property bool hovered   
    property bool focused
    property bool enabled
    
    property string gradientType
    property color normalColor
    property color normalColor2
    property color pressedColor
    property color pressedColor2  
    property color hoveredColor
    property color disabledColor    
    property color borderColor
    property color disabledBorderColor    
    property color focusedBorderColor
    property int borderWidth
    property real cornerRadius
    
    property var gradientColors: {
        if(!enabled) return [disabledColor, disabledColor]
        if(pressed) return [pressedColor, pressedColor2]
        if(hovered) return [hoveredColor, hoveredColor]
        return [normalColor, normalColor2]
    }   
    
    property var noneGradient: Gradient {
        GradientStop {color: root.gradientColors[0]; position: 0}
        GradientStop {color: root.gradientColors[0]; position: 1}   
    }
    
    property var downGradient: Gradient {
        GradientStop {color: root.gradientColors[0]; position: 0}
        GradientStop {color: root.gradientColors[1]; position: 1}    
    }    
    
    property var upGradient: Gradient {
        GradientStop {color: root.gradientColors[1]; position: 0}
        GradientStop {color: root.gradientColors[0]; position: 1}    
    }
    
    gradient: switch(gradientType) {
        case "down": return downGradient
        case "up": return upGradient            
        case "none": return noneGradient              
    }
    
    radius: cornerRadius
    border.color: !enabled ? disabledBorderColor : (focused ? focusedBorderColor : borderColor)
    border.width: borderWidth
}