import QtQuick 2.2
import QtQuick.Controls.Styles 1.0
import QtQuick.Controls.Private 1.0
import GuiStyling 1.0

ButtonStyle {
    id: root
    property var buttonTheme: StyleManager.theme.button
    property bool pressed: control.pressed || (control.checkable && control.checked)
    background: ButtonBackground {
        implicitWidth: Math.round(StyleManager.textHeight * 4.5)
        implicitHeight: Math.max(20, Math.round(StyleManager.textHeight * 1.2))	
        pressed: root.pressed
        hovered: control.hovered 
        focused: control.activeFocus
        enabled: control.enabled
        gradientType: pressed ? buttonTheme.pressedGradientType : buttonTheme.normalGradientType
        normalColor: buttonTheme.normalColor
        normalColor2: buttonTheme.normalColor2
        pressedColor: buttonTheme.pressedColor
        pressedColor2: buttonTheme.pressedColor2
        hoveredColor: buttonTheme.hoveredColor
        disabledColor: buttonTheme.disabledColor
        borderColor: buttonTheme.borderColor
        disabledBorderColor: buttonTheme.disabledBorderColor
        focusedBorderColor: StyleManager.theme.focusedBorderColor
        borderWidth: buttonTheme.borderWidth
        cornerRadius: buttonTheme.cornerRadius
    }
    label: Item { 
        implicitWidth: text.implicitWidth
        implicitHeight: text.implicitHeight
        Text {
            id: text
            anchors.centerIn: parent
            text: StyleHelpers.stylizeMnemonics(control.text)
            font: StyleManager.theme.font
            color: !control.enabled ? buttonTheme.disabledTextColor : (root.pressed ? buttonTheme.pressedTextColor : buttonTheme.textColor)
            renderType: Text.NativeRendering
        }	
        Image {
            id: icon
            anchors.centerIn: parent
            source: control.iconSource
        }        
    }
}