import QtQuick.Controls 1.2
import QtQuick.Controls.Styles 1.0
import MixerGuiControls 1.0


CheckBoxStyle {
    readonly property var theme: MixerThemeManager.theme

    label: Label {
        text: control.text
    }
    
    indicator: TextEditBackground {
        implicitWidth: theme.systemFontSize
        implicitHeight: implicitWidth
        focused: control.activeFocus
        enabled: control.enabled
        backgroundColor: theme.colNeutralDark
        cornerRadius: 0
        borderColor: theme.colNeutral
        disabledBorderColor: theme.colTextDisabled
        focusedBorderColor: theme.colCommon
        borderWidth: theme.controlBorderSize
        MixerIcon {
            anchors.centerIn: parent
            source: "icons/black/check.png"
            visible: control.checkedState === Qt.Checked
            color: {
                if (!enabled) return theme.colTextDisabled
                if (hovered)  return theme.colNeutralLight
                return theme.colNeutral
            }
        }
    }
}
