import QtQuick 2.2
import QtQuick.Controls.Styles 1.0
import QtQuick.Controls.Private 1.0
import GuiStyling 1.0

GroupBoxStyle {
    property var windowTheme: StyleManager.theme.window
	panel: Item {
		anchors.fill: parent
		Rectangle {
			anchors.fill: parent
			anchors.topMargin: label.height + 4
			border.color: control.enabled ? windowTheme.borderColor : windowTheme.disabledBorderColor
            border.width: windowTheme.borderWidth
			color: "transparent"
			visible: !control.flat
		}
		Text {
			id: label
			anchors.top: parent.top
			anchors.left: parent.left
			anchors.margins: 4
			text: control.title
            font: StyleManager.theme.font
			color: control.enabled ? windowTheme.textColor : windowTheme.disabledTextColor
			renderType: Text.NativeRendering
		}		
	}	
}