import QtQuick 2.2

Rectangle {
    property bool pressed
    property bool hovered
    property bool enabled
    
    property color normalColor
    property color pressedColor  
    property color hoveredColor
    property color disabledColor  
    property color borderColor
    property color disabledBorderColor
    property int borderWidth
    
    color: {
        if(!enabled) return disabledColor
        if(pressed) return pressedColor
        if(hovered) return hoveredColor
        return normalColor
    } 
    border.color: enabled ? borderColor : disabledBorderColor
    border.width: borderWidth
}