import QtQuick 2.2
import QtQuick.Controls.Styles 1.0
import GuiStyling 1.0

SliderStyle {
    property var sliderTheme: StyleManager.theme.slider
    groove: Rectangle {
        anchors.verticalCenter: parent.verticalCenter
        implicitWidth: 200
        implicitHeight: 3
        radius: height/2
        color: control.enabled ? sliderTheme.grooveColor : sliderTheme.disabledGrooveColor
        border.color: control.enabled ? StyleManager.theme.borderColor : StyleManager.theme.disabledBorderColor
        border.width: StyleManager.theme.borderWidth
    }
    
    handle: Rectangle {
        implicitWidth: 10
        implicitHeight: 21
        color: control.enabled ? sliderTheme.handleColor : sliderTheme.disabledHandleColor
        border.color: !control.enabled ? StyleManager.theme.disabledBorderColor : (control.activeFocus ? StyleManager.theme.focusedBorderColor : StyleManager.theme.borderColor)
        border.width: StyleManager.theme.borderWidth
    }
}