import QtQuick 2.2
import QtQuick.Controls.Styles 1.0
import GuiStyling 1.0

TabViewStyle {
    frameOverlap: 0
    property var headerTheme: StyleManager.theme.header
    
    tab: Item {
        implicitWidth: Math.max(text.implicitWidth + StyleManager.textHeight * 0.2, 40)
        implicitHeight: StyleManager.textHeight * 1.2
        property bool tabEnabled: control.enabled && styleData.enabled
        HeaderBackground {
            anchors.fill: parent
            anchors.bottomMargin: -1 
            pressed: styleData.selected
            hovered: styleData.hovered
            enabled: tabEnabled
            normalColor: headerTheme.normalColor
            pressedColor: headerTheme.pressedColor
            hoveredColor: headerTheme.hoveredColor
            disabledColor: headerTheme.disabledColor
            borderColor: StyleManager.theme.borderColor
            disabledBorderColor: StyleManager.theme.disabledBorderColor
            borderWidth: StyleManager.theme.borderWidth
            
            Text {
                id: text
                anchors.centerIn: parent
                text: styleData.title
                font: StyleManager.theme.font
                color: tabEnabled ? headerTheme.textColor : headerTheme.disabledTextColor
                renderType: Text.NativeRendering
            }
        }
    }
    frame: Item {}	
}