import QtQuick 2.2
import QtQuick.Controls.Styles 1.1
//import GuiStyling 1.0
import MixerGuiControls 1.0
import "." as ECGStyle

TextAreaStyle {
    readonly property var theme: MixerThemeManager.theme

    font.family:    theme.fontFamily
    font.pixelSize: theme.systemFontSize
    renderType: Text.QtRendering
    backgroundColor: theme.colNeutralDark
    textMargin: theme.controlPadding
    readonly property int _border: theme.controlBorderSize

    padding {
        top: _border;  bottom: _border
        left: _border; right: _border
    }

    // ScrollView
    property var scrollViewStyle: ECGStyle.ScrollViewStyle {}
    scrollBarBackground: scrollViewStyle.scrollBarBackground
    corner: scrollViewStyle.corner
    handle: scrollViewStyle.handle
    incrementControl: scrollViewStyle.incrementControl
    decrementControl: scrollViewStyle.decrementControl    
}
