import QtQuick 2.2
import QtQuick.Controls.Styles 1.0
import MixerGuiControls 1.0

TextFieldStyle {
    id: root
    property var theme: MixerThemeManager.theme

    font.family:    theme.fontFamily
    font.pixelSize: theme.systemFontSize
    renderType: Text.QtRendering
    readonly property int _pad: theme.controlPadding

    padding {
        top: _pad; bottom: _pad
        left: _pad; right: _pad
    }
    background: TextEditBackground {
        implicitWidth:  Math.max(control.__contentWidth + padding.left + padding.right + borderWidth*2, 125)
        implicitHeight: root.font.pixelSize + padding.top + padding.bottom + borderWidth*2//Math.max(20, Math.round(control.__contentHeight * 1.2))
        focused: control.activeFocus
        enabled: control.enabled
        backgroundColor: theme.colNeutralDark
        cornerRadius: 0
        borderColor: theme.colNeutral
        disabledBorderColor: theme.colTextDisabled
        focusedBorderColor: theme.colCommon
        borderWidth: theme.controlBorderSize
        baselineOffset: control.__baselineOffset
    }
}

