import QtQuick 2.0
import Serialization 1.0

QtObject {
    property QtObject dialog
    property string category: "default"
    property bool loadingEnabled: true
    property bool savingEnabled: true
    
    readonly property bool dialogVisible: dialog ? dialog.visible : false
    readonly property string folderKey: "FileDialogs/" + category + "/folder"
    
    onDialogVisibleChanged: {
        if(!dialog || !category) return
        if(!dialogVisible) {
            if(!savingEnabled) return
            Serialization.writeToRegistry(folderKey, dialog.folder.toString())
        }
        else {
            if(!loadingEnabled) return
            var value = Serialization.readFromRegistry(folderKey)
            if(value) dialog.folder = value
        }        
    }
}