import QtQuick 2.0

Item {
    id: root
    property real aspect: 1.0
    property size contentSize: Qt.size(100, 100)
    default property Item contentData
    ScaledItem {
        anchors.fill: parent
        contentSize: Qt.size(root.__contentRect.width, root.__contentRect.height)
        contentData: root.contentData
    }
    property rect __contentRect: calcPreserveAspectFitRect()
    function calcPreserveAspectFitRect() {
        var x, y, w, h
        if(aspect > contentSize.width/contentSize.height) {
            h = contentSize.width / aspect
            y = contentSize.height/2 - h/2
            w = contentSize.width
            x = 0
        }
        else {
            h = contentSize.height
            y = 0
            w = aspect * contentSize.height
            x = contentSize.width/2 - w/2
        }
        return Qt.rect(x, y, w, h)
    }
}