import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.0
import QtQuick.Window 2.2
import "../../common/utils"
import "utils"

ApplicationWindow {
    id: root
    readonly property bool android: Qt.platform.os === "android"
    x: android ? 0:(1920-width)/2
    y: android ? 0:(1080-height)/2
    width:  1800//1920//1600
    height:  990//1200//920
    visible: true
              
    title: "СООВИ" //mainWindowTitle.text

    MainWindowTitle {
        id: mainWindowTitle
    }

    readonly property alias dragAndDropLayer: dragAndDropLayer

    readonly property int topModelHeight: mosaicHeight+60
    
    Rectangle {
        anchors.fill: parent
        color:'#101010'
    }

    Text {
        x: mosaicWidth/2; y:1;
        text: title
        color:colNeutral
        font.pixelSize: 30
        font.italic: true
        font.bold: true
    } 
              
    RowLayout {
        anchors.fill: parent
        anchors { margins:10; topMargin:35; bottomMargin:5; }
        spacing: 0
        Rectangle {
            color:'#808080'
            width: mosaicWidth+30
            Layout.fillHeight: true

            ColumnLayout {
                anchors.fill: parent
                spacing: 0

                Item {
                    Layout.fillWidth: true
                    implicitHeight: topModelHeight
                    ClockPanel {
                        anchors.fill: parent
                    }
                }

                Item {
                    Layout.fillWidth: true
                    Layout.fillHeight: true
                    EventsPanel {
                        anchors.fill: parent
                    }
                }
            }
        }
        Rectangle {
            Layout.fillHeight: true
            implicitWidth: 2
            color: "black"
        }            
        ColumnLayout {
            Layout.fillWidth: true
            Layout.fillHeight: true
            spacing: 0

            Item {
                Layout.fillWidth: true                                
                implicitHeight: topModelHeight

                RowLayout {
                    anchors.fill: parent

                    MosaicsPanelSimple {
                        Layout.fillHeight: true
                        Layout.fillWidth: true                                
                    }
                    
                    MonitorsPanelSimple {
                        Layout.fillHeight: true
                    }
                }    
            }    

            Rectangle {
                color: "#101010"
                Layout.fillWidth: true
                Layout.fillHeight: true 
                border.color: "#606060"
                border.width: 2

                MosaicPanel {
                    anchors.fill: parent
                    anchors.margins: 2
                }

                NetworkRemoteAddress {
                    pixelSize:30
                }
            }
        }    

        Rectangle { 
            Layout.fillHeight: true 
            implicitWidth: 2
            color: "black"
        }            

        Rectangle {
            color:'#808080'
            width: mosaicWidth+30
            Layout.fillHeight: true

            ColumnLayout {
                anchors.fill: parent
                spacing: 0
                                        
                Item {
                    Layout.fillWidth: true
                    implicitHeight: topModelHeight
                    MediaRecordingPanel {
                        anchors.fill: parent
                    }
                }
                                    
                Item {
                    Layout.fillWidth: true
                    implicitHeight: (parent.height-topModelHeight)/2
                    VideoStreamsPanel {
                        id: videoStreamsPanel
                        anchors.fill: parent
                    }    
                }

                Item {
                    Layout.fillWidth: true
                    Layout.fillHeight: true
                    VideoStreamsPanel {
                        archived: true
                        anchors.fill: parent
                    }        
                }        
            }  
        }    
    }
                
    DragAndDropLayer {
        id: dragAndDropLayer
        anchors.fill: parent
    }
}
