import QtQuick 2.0
import Multimedia 1.0
import "../../common/utils"

Object {
    id: root
    property AudioStream audioStream
    property alias enabled: mediaSession.enabled

    MediaSession {
        id: mediaSession
        autoPlay: true
        QtQuickSource {
            id: source
            audioStream: root.audioStream
        }
        AudioDeviceSink {
            id: sink
        }
        NodeConnection {
            from: source.audioOutput
            to: sink.input
        }
        onStatusChanged: {
            p('audioOutput.StatusChanged '+statusString+topologyString)
            if(status == MediaSession.Error) {
                app.error(qsTr("Error in Audio Output."))
            }
        }
    } 
}

