import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0
import Rpc 1.0

Item {
    id: root
    readonly property Item header: MixerPanelHeader {
        anchors.fill: parent
        text: qsTr("Audio")
        /*
        buttons: [
            MixerIconButton {
                icon: "Settings"
                action: actions.openAudioSettingsWindowAction
            }
        ]
        */
    }
    
    ColumnLayout {
        width: parent.width
        anchors.verticalCenter: parent.verticalCenter
        spacing: 12
        Repeater {
            model: 1
            ColumnLayout {
                spacing: 0
                /*
                MixerLabel {
                    text: qsTr("Audio Source") + " " + (model.index + 1)
                    font.pixelSize: MixerThemeManager.theme.systemFontSize
                }
                */
                RowLayout {
                    Layout.fillWidth: true
                    AudioLevelControlSmall {
                        id: levelControl
                        readonly property QtObject stream: isMemShared ? videoStreamAtlas.audioStream : (audioStreamCollection && audioStreamCollection.streams) ? audioStreamCollection.streams[model.index] || null : null
                        Layout.fillWidth: true
                        orientation: Qt.Horizontal
                        level: stream ? stream.level * stream.volume : 0
                        indicatorEnabled: stream && !stream.mute
                        RpcBinding on volume {
                            rpcTarget: levelControl.stream
                            rpcProperty: "volume"
                            send: levelControl.pressed
                        }
                        onPressedChanged: if(pressed && stream) stream.mute = false
                    }
                    MixerIconButton {
                        id: muteButton
                        property QtObject stream: levelControl.stream
                        icon: (stream && !stream.mute) ? "Volume" : "Mute"
                        onClicked: if(stream) stream.mute = !stream.mute
                        tooltip: qsTr("Mute")
                    }
                }
            }
        }
    }
    
}
