import QtQuick 2.2
import QtQuick.Controls 1.3
import QtQuick.Controls.Styles 1.3
import QtQuick.Controls.Private 1.0
import QtQuick.Layouts 1.0
import MixerGuiControls 1.0

CalendarStyle {
    
    gridColor: Qt.rgba(100 / 255, 100 / 255, 100 / 255)
    property color cellColor: Qt.rgba(23 / 255, 23 / 255, 23 / 255)
    property color headerColor: Qt.rgba(23 / 255, 23 / 255, 23 / 255)
    property color highlightColor: Qt.rgba(189 / 255, 107 / 255, 25 / 255)
    property color textColor: Qt.rgba(191 / 255, 191 / 255, 191 / 255)
    property color disabledTextColor: Qt.rgba(100 / 255, 100 / 255, 100 / 255)
    
    background: Rectangle {
        color: headerColor
    }

    dayDelegate: Rectangle {
        color: styleData.selected ? highlightColor : cellColor
        Label {
            text: styleData.date.getDate()
            anchors.centerIn: parent
            color: {
                if(styleData.selected) return cellColor
                return styleData.valid && styleData.visibleMonth ? textColor : disabledTextColor
            }
            font.pixelSize: 11
        }
    }
    
    dayOfWeekDelegate: Rectangle {
        color: headerColor
        implicitHeight: 30
        Label {
            text: control.__locale.dayName(styleData.dayOfWeek, control.dayOfWeekFormat)
            anchors.centerIn: parent
            color: textColor
            font.pixelSize: 12
        }
    }
    
    navigationBar: Rectangle {
        height: 30
        color: headerColor
        RowLayout {
            anchors.fill: parent
            MixerIconButton {
                icon: "ArrowLeft"
                onClicked: control.showPreviousMonth()
            }
            Label {
                Layout.fillWidth: true
                text: styleData.title
                color: textColor
                horizontalAlignment: Text.AlignHCenter
                font.pixelSize: 14
            }
            MixerIconButton {
                icon: "ArrowRight"
                onClicked: control.showNextMonth()
            }            
        }
        Rectangle {
            color: gridColor
            width: parent.width
            height: 1
            anchors.bottom: parent.bottom
        }
    }
}