//import QtQuick.Controls 1.0
import Multimedia.FDExt 1.0
import MixerGuiControls 1.0

MixerComboBox {
    id: root
    property url source: ""
    property bool hasEmpty: false
    
    model: {
        var result = []
        if(hasEmpty) {
            result.push({name: qsTr("<empty>"), url: ""})
        }
        for(var i = 0; i < FD.inputs.length; i++) {
            var name = FD.inputs[i].name
            var url = "fd:///" + name
            result.push({name: name, url: url})
        }
        return result
    }
    
    textRole: "name"
    
    onCurrentIndexChanged: source = model[currentIndex] ? model[currentIndex].url : ""
    onCountChanged: source = model[currentIndex] ? model[currentIndex].url : ""
    onSourceChanged: {
        for(var i = 0; i < model.length; i++) {
            if(source == model[i].url) {
                currentIndex = i
                return
            }
        }
        currentIndex = hasEmpty ? 0 : -1
    }
}
