import QtQuick 2.0
import QtQuick.Controls 1.0

Item {
    id: root

    function processHotkey(hotkey) {
        if(archiveRecorder) return archiveRecorder.addHotkeyEvent(hotkey)
    }

    readonly property var reservedHotkeys: ["Ctrl+D", "Ctrl+F", "Alt+F4"]

    Repeater {
        model: {
            if(!hotkeyCollection || !hotkeyCollection.hotkeySequences) return []
            return hotkeyCollection.hotkeySequences.filter(function(hotkey) {
                return reservedHotkeys.indexOf(hotkey) < 0
            })
        }
        Item {
            Action {
                shortcut: modelData
                onTriggered: root.processHotkey(modelData)
            }
        }
    }    
}
