import QtQuick 2.0
Item {
    id: root
    implicitHeight: 24
    property string errorMessage: ""

    Text {
        visible: exporter && exporter.running
        text: {
            if(exporter && exporter.running) return qsTr("Export") + " - " + (exporter.progress * 100).toFixed() + "%"
            return ""
        }
        font.pixelSize: 18
        color: Qt.rgba(0.9, 0.9, 0.9, 1.0)
    }
    
    Text {
        visible: errorMessage && (!exporter || !exporter.running)
        text: errorMessage
        color: Qt.rgba(254 / 255, 48 / 255, 48 / 255)
        font.pixelSize: 18
        
        MouseArea {
            anchors.fill: parent
            cursorShape: Qt.PointingHandCursor
            onClicked: {
                errorMessage = ""
                operationLog.currentDate = new Date()
                actions.openOperationLogWindowAction.trigger()
            }
        }
    }
    Connections {
        target: archiveRecorder
        onError: errorMessage = qsTr("Recording error")
    }
}
