import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Controls.Styles 1.2
import QtQuick.Layouts 1.0
import Rpc 1.0

MixerPanelSimple {
  id: root
  title: qsTr("Monitors")

	property int selectedIndex: -1
	visible: monitorMosaics && monitorMosaics.length>1
  implicitWidth: visible && (monitorMosaics.length*(mosaicHeight*16/9+6)+20)

  ListView {
    id: listView
    anchors.fill: parent
    anchors.margins: 4

    spacing: 4
    boundsBehavior: Flickable.StopAtBounds
    snapMode: ListView.SnapToItem
    orientation: ListView.Horizontal
    clip: true
    model: monitorMosaics
    
    delegate: ColumnLayout {
      spacing: 2

      width : mosaicPreview.width  +2
      height: mosaicPreview.height +2

      Rectangle {
        anchors.fill: parent
        color: currentMonitorIndex == model.index ? colProgram:colNeutral

        MosaicPreviewIcon {
          id: mosaicPreview
          anchors.centerIn: parent
          mosaic: modelData
        }
      }
      Text {
        Layout.fillWidth: true
        text: qsTr("Monitor")+' '+(model.index+1)
        color: currentMonitorIndex == model.index ? colProgram:colNeutral
        font.pixelSize: fontSize
        horizontalAlignment: Text.AlignHCenter
      }        
      MouseArea {
        anchors.fill: parent
        onClicked: {
          currentMonitorIndex = model.index
          currentMosaicIndex = monitorIndexes[currentMonitorIndex]
          videoStreamCollection.currentStream = null
          updateMonitor();
        }
      }        
    }
  }
}