import QtQuick 2.0
import QtQuick.Layouts 1.0
import QtQuick.Controls 1.0

Item {
    id: root
    property QtObject mosaic
    implicitWidth: implicitHeight * 16/9
    implicitHeight: mosaicHeight

    Rectangle {
        id: icon
        anchors.fill: parent
        color: Qt.rgba(85 / 255, 85 / 255, 85 / 255)
        border.color: "black"
        Repeater {
            model: mosaic.rects

            Rectangle {
                color: streamView.visible ? "black" : "gray"
                border.color: streamView.stream && streamView.stream.archived && archivePlayer && archivePlayer.color || "dimgray"
                x: modelData.x * icon.width
                y: modelData.y * icon.height
                width: modelData.width * icon.width
                height: modelData.height * icon.height
                VideoStreamPreviewIcon {
                    id: streamView
                    anchors.fill: parent
                    stream: mosaic.streams ? (mosaic.streams[model.index] || null) : null
                    anchors.margins: 1
                    visible: !!stream
                }
            }
        } 
    }
}
