import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Controls.Styles 1.2
import QtQuick.Layouts 1.0
import Rpc 1.0

MixerPanelSimple {
  id: root
  title: qsTr("Mosaics")

  property int selectedIndex: -1

  ListView {
    id: listView
    anchors.fill: parent
    anchors.margins: 4

    spacing: 4
    boundsBehavior: Flickable.StopAtBounds
    snapMode: ListView.SnapToItem
    orientation: ListView.Horizontal
    clip: true
    model: mosaicCollection ? mosaicCollection.mosaics : []
    
    delegate: ColumnLayout {
      spacing: 2

      width : mosaicPreview.width  +2
      height: mosaicPreview.height +2

      Rectangle {
        anchors.fill: parent
        color: currentMosaicIndex == model.index ? colProgram:colNeutral

        MosaicPreviewIcon {
          id: mosaicPreview
          anchors.centerIn: parent
          mosaic: modelData
        }
      }   
      Text {
        Layout.fillWidth: true
        text: modelData.name
        color: currentMosaicIndex == model.index ? colProgram:colNeutral
        font.pixelSize: fontSize
        horizontalAlignment: Text.AlignHCenter
      }        
      MouseArea {
        anchors.fill: parent
        onClicked: {
          p('currentMosaicIndex = '+model.index)
          currentMosaicIndex = model.index
          videoStreamCollection.currentStream = null
          updateMonitor();
        }
      }        
    }
  }
}