import QtQuick 2.0
import QtQml 2.2
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

RowLayout {
    id: root
    property var sources: []
    implicitHeight: 100
    MixerTableView {
        id: tableView
        Layout.fillHeight: true
        Layout.fillWidth: true
        headerVisible: false
        model: root.sources
        TableViewColumn {
            role: "data"
            delegate: MixerTableViewLabel {
                text: {
                    var elements = (availableMedias && availableMedias.data) ? availableMedias.data : []
                    var url = styleData.value
                    for(var i = 0; i < elements.length; i++) {
                        var element = elements[i]
                        if(element.source == url) return element.name
                    }
                    return url.toString()
                }
            }
        }
    }
    ColumnLayout {
        Layout.alignment: Qt.AlignTop
        ToolbarButton {
            icon: "Add"
            tooltip: qsTr("Add")
            onClicked: menu.popup()
        }
        ToolbarButton {
            icon: "Delete"
            tooltip: qsTr("Remove")
            enabled: tableView.currentRow >= 0
            onClicked: {
                root.sources.splice(tableView.currentRow, 1)
                root.sources = root.sources
            }
        }
    }
    MixerMenu {
        id: menu
        Instantiator {
            model: availableMedias ? availableMedias.data : []
            MixerMenuItem {
                text: modelData.name
                onTriggered: {
                    root.sources.push(modelData.source)
                    root.sources = root.sources
                    tableView.flickableItem.positionViewAtEnd()
                }
            }
            onObjectAdded: menu.insertItem(index, object)
            onObjectRemoved: menu.removeItem(object)
        }
    }
}
