import QtQuick 2.0
import QtQuick.Layouts 1.0


Rectangle {
  id: root
  anchors.fill: parent

  property int pixelSize: 18
  property var textColor: '#ff2020'

  visible: enabled && !server
  property var enabled: false

  color: '#101010'
  border.color: "#606060"
  border.width: 2

  Timer {
    interval:1000
    running: true
    repeat: false
    onTriggered: enabled = true
  }

  function updateAddres() {
    //p('updateAddres '+ipAddress.text); 
    //rpcServer.address = ipAddress.text
  }

  MouseArea {
    anchors.fill: parent
    onClicked: updateAddres()
  }

  RowLayout {
    anchors.centerIn: parent

    Text {
      text: 'Сервер '  
      font.pixelSize: pixelSize
      color: textColor
    }

    TextInput {
      id: ipAddress
      enabled: false
      cursorVisible: false
      focus: true
      text: rpcServer.address || '000.000.000.000'
      color: textColor
      font.pixelSize: pixelSize

      validator:RegExpValidator {
        regExp:/^(([01]?[0-9]?[0-9]|2([0-4][0-9]|5[0-5]))\.){3}([01]?[0-9]?[0-9]|2([0-4][0-9]|5[0-5]))$/
      }

      onFocusChanged: updateAddres()
    }

    Text {
      text: ' недоступен или выключен'  
      font.pixelSize: pixelSize
      color: textColor
    }
  }  
}