import QtQuick 2.0
import Multimedia 1.0
import Multimedia.FFmpeg 1.0

Item {
    id: root
    property alias enabled: mediaSession.enabled
    property alias source: sourceNode.url
    property alias audioSink: audioSink
    implicitWidth: videoView.implicitWidth
    implicitHeight: videoView.implicitHeight

    readonly property AudioStream audioStream: MediaSessionAudioStream {
        source: audioSink
		volume:0.5
    }
    
    MediaSession {
        id: mediaSession
        autoPlay: true
        recreateOnError: true
        FFmpegSource {
            id: sourceNode
            udpBufferSize: 8 * 1024 * 1024
            bufferSize: 500
            timestampAdjustment: 0
        }
        QtQuickSink {
            id: videoSink
        }
        QtQuickAudioSink {
            id: audioSink
            enabled: sourceNode.audioTracks.length != 0
        }
        NodeConnection {
            from: sourceNode.videoOutput
            to: videoSink.input
        }
        NodeConnection {
            from: sourceNode.audioOutput
            to: audioSink.input
        }
    }
    VideoView {
        id: videoView
        anchors.fill: parent
        source: videoSink
    }
}


