import QtQuick 2.0
import GuiControls 1.0

PropertyGroup {
    id: root
    collapsible: false
    EnumProperty {
        readonly property var devices: {
            if(!object || !object.availableDevices) return []
            return [{name: "", deviceId: ""}].concat(object.availableDevices);
        }            
        property: "deviceId" 
        label: qsTr("Device")
        enabled: !object || !object.running
        values : devices.map(function(device) { return device.deviceId })
        strings: devices.map(function(device) { return device.name     })
        //comboBoxImplicitWidth: 200
    }       
    PropertyGroup {
        collapsible: false
        offseted: true
        object: (root.object && root.object.settings && root.object.settings.type == "fd") ? root.object.settings : null
        visible: !!object
        enabled: !object || !object.running
        EnumProperty {
            property: "audioChannel"
            label: qsTr("Audio Channel")
            values: [-1, 0, 1]
            strings: [qsTr("Auto"), qsTr("Stereo 1"), qsTr("Stereo 2")]
        }
        EnumProperty {
            property: "wssFlag"
            label: qsTr("Aspect")
            values: [false, true]
            strings: ["4:3", "16:9"]
        }
    }
    PropertyGroup {
        collapsible: false
        offseted: true
        object: (root.object && root.object.settings && root.object.settings.type == "dl") ? root.object.settings : null
        visible: !!object
        enabled: !object || !object.running
        EnumProperty {
            property: "displayModeIndex"
            label: qsTr("Video Mode")
            values: {
                if (!object || !object.displayModeNames) return []
                var result = []
                for (var i = 0; i < object.displayModeNames.length; i++) {
                    result.push(i)
                }
                return result
            }
            strings: (object && object.displayModeNames) ? object.displayModeNames : []
        }
    }  
}
