import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.1
import GuiControls 1.0
import MixerGuiControls 1.0
import Serialization 1.0

MixerDialog {
    id: root
    title: qsTr("Output Settings")
    signal accepted()
    signal rejected()

    OutputDevicePropertyGroup {
        object: output ? output.device : output
    }

    onImplicitHeightChanged: height = implicitHeight
    
    buttons: [qsTr("OK"), qsTr("Cancel")]

    onButtonClicked: {
        if(buttonIndex == 0) accepted()
        else rejected()
        hide()
    }

    onClosing: rejected()

    readonly property var savedData: output ? output.savedData : undefined
    property var prevSavedData

    onOpened: prevSavedData = Serialization.writeToMemory(savedData)
    onRejected: if(output && prevSavedData) output.load(Serialization.readFromMemory(prevSavedData))
}
