import QtQuick 2.1

Item {
    id: root
    property bool showUpPanel: false
    property bool showDownPanel: false
    property bool showLeftPanel: false
    property bool showRightPanel: false
    
    MouseArea {
        id: centralMouseArea
        anchors.fill: parent
        acceptedButtons: Qt.NoButton
        hoverEnabled: true
        
        MouseArea {
            id: leftMouseArea
            height: parent.height
            width: 150
            acceptedButtons: Qt.NoButton
            hoverEnabled: true
        }
        
        MouseArea {
            id: rightMouseArea
            height: parent.height
            width: 150
            anchors.right: parent.right
            acceptedButtons: Qt.NoButton
            hoverEnabled: true
        }
        
        MouseArea {
            id: upMouseArea
            width: parent.width
            height: 120
            acceptedButtons: Qt.NoButton
            hoverEnabled: true
        }
        
        MouseArea {
            id: downMouseArea
            width: parent.width
            height: 120
            anchors.bottom: parent.bottom
            acceptedButtons: Qt.NoButton
            hoverEnabled: true
        }
    }
    
    Timer {
        interval: 10
        running: true
        repeat: true
        onTriggered: {
            if(!root.enabled) {
               root.showUpPanel = false
               root.showDownPanel = false
               root.showLeftPanel = false
               root.showRightPanel = false
            } else if(upMouseArea.containsMouse){
               root.showUpPanel = true
               root.showDownPanel = false
               root.showLeftPanel = false
               root.showRightPanel = false
            } else if(downMouseArea.containsMouse){
               root.showUpPanel = false
               root.showDownPanel = true
               root.showLeftPanel = false
               root.showRightPanel = false
            } else if(leftMouseArea.containsMouse){
               root.showUpPanel = false
               root.showDownPanel = false
               root.showLeftPanel = true
               root.showRightPanel = false
            } else if(rightMouseArea.containsMouse){
               root.showUpPanel = false
               root.showDownPanel = false
               root.showLeftPanel = false
               root.showRightPanel = true
            } else if(centralMouseArea.containsMouse) {
               root.showUpPanel = false
               root.showDownPanel = false
               root.showLeftPanel = false
               root.showRightPanel = false
            }
        }
    }
}