//import QtQuick.Controls 1.0
import MixerGuiControls 1.0

MixerComboBox {
    id: root
    property Storage storage
    
    model: {
        var result = []
        for(var i in postPlayService.storages) {
            var storage = postPlayService.storages[i]
            result.push({name: storage.name, storage: storage})
        }
        return result
    }
    
    textRole: "name"
    
    onCurrentIndexChanged: storage = model[currentIndex] ? model[currentIndex].storage : null
    onCountChanged: storage = model[currentIndex] ? model[currentIndex].storage : null
    
    function setCurrentStorage(newStorage) {
        for(var i = 0; i < model.length; i++) {
            if(newStorage == model[i].storage) {
                currentIndex = i
                return
            }
        }
        currentIndex = -1
    }

    function setCurrentStorageByGuid(guid) {
        for(var i = 0; i < model.length; i++) {
            if(guid == model[i].storage.guid) {
                currentIndex = i
                return
            }
        }
        currentIndex = -1
    }
}
