import QtQuick 2.1
import QtQuick.Controls 1.4
import MixerGuiControls 1.0

Slider {
    id: root
    readonly property real rate: valueToRate(value)
    
    style: MixerSliderStyle {
        scaleVisible: false
    }
    stepSize: 1
    value: 3
    minimumValue: 0
    maximumValue: 6
    opacity: enabled ? 1 : 0.3
    layer.enabled: true
    implicitWidth: 100
    
    readonly property var rates: [0.1, 0.2, 0.5, 1, 2, 5, 10]
    
    function valueToRate(value) {
        return rates[value] || 1
    }
    
    function rateToValue(rate) {
        var bestDistance = 1000000
        var bestValue = 3
        for(var i = 0; i < rates.length; i++) {
            var distance = Math.abs(rates[i] - rate)
            if(distance < bestDistance) {
                bestDistance = distance
                bestValue = i
            }
        }
        return bestValue
    }    
    
    function setRate(rate) {
        value = rateToValue(rate)
    }
	
    MouseArea {
		anchors.fill: parent
		acceptedButtons: Qt.NoButton
		onWheel: {
            //var step = Math.round(wheel.angleDelta.y / 120)
            //root.value = Math.max(root.minimumValue, Math.min(root.value + step, root.maximumValue))
		}
    }

}
