import QtQuick 2.1

Canvas {
    id: canvas
    property int gridX: 10
    property int gridY: 10
    
    onPaint: {
        var context = getContext('2d');
        context.reset()
        context.clearRect(0, 0, width, height)        
        context.beginPath()
        context.lineWidth = 2
        context.strokeStyle = context.createPattern(Qt.rgba(0, 0, 0, 0.4), Qt.Dense5Pattern)
        for(var i = 0; i <= gridX; i++) {
            context.moveTo(i / gridX * width, 0)
            context.lineTo(i / gridX * width, height)
        }
        for(var i = 0; i <= gridY; i++) {
            context.moveTo(0, i / gridY * height)
            context.lineTo(width, i / gridY * height)     
        }		
        context.stroke()
    }
    
    onGridXChanged: requestPaint()
    onGridYChanged: requestPaint()
}