import QtQuick 2.0

Item {
    id: root
    property bool canSelect: true
    property alias elements: elementContainer.children
    property TemplateElement selectedElement
    onCanSelectChanged: selectedElement = null
    
    function addElement(rect) {
        elementComponent.createObject(elementContainer, {rect: rect})
    }
    
    function bringElementToFront(element) {
        var newElements = []
        for(var i = 0; i < elements.length; i++) {
            if(elements[i] != element) newElements.push(elements[i])
        }
        newElements.push(element)
        elements = newElements
    }
    
    function bringElementToBack(element) {
        var newElements = [element]
        for(var i = 0; i < elements.length; i++) {
            if(elements[i] != element) newElements.push(elements[i])
        }
        elements = newElements        
    }    
    
    function clear() {
        for(var i = elements.length; i > 0 ; i--) {
            elements[i-1].destroy()
        }
    }
    
    function load(rects) {
        clear()
        for(var i = 0; i < rects.length; i++) {
            addElement(rects[i])
        }
    }
    
    function save() {
        var data = []
        for(var i = 0; i < elements.length; i++) {
            data.push({rect: elements[i].rect})
        }
        return data
    }
    
    Component {
        id: elementComponent
        TemplateElement {
            onLeftButtonClicked: root.selectedElement = this
        }
    }
    MouseArea {
        anchors.fill: parent
        acceptedButtons: Qt.LeftButton
        onClicked: root.selectedElement = null
    }
    Rectangle {
        anchors.fill: parent
        id: elementContainer
        color: Qt.rgba(85 / 255, 85 / 255, 85 / 255)
        border.color: "black"     
    }
}