import QtQuick 2.0
import QtQuick.Layouts 1.0
import QtQuick.Controls 1.0
import MixerGuiControls 1.0

Item {
    id: root
    property QtObject template
    property bool isSelected
    signal leftButtonClicked()
    signal rightButtonClicked()
    signal doubleClicked()
    
    implicitWidth: icon.implicitWidth
    implicitHeight: layout.implicitHeight
    
    ColumnLayout {
        id: layout
        anchors.fill: parent
        spacing: 1
        Rectangle {
            id: icon
            implicitWidth: 100
            implicitHeight: implicitWidth * 9 / 16
            Layout.alignment: Qt.AlignHCenter
            color: Qt.rgba(85 / 255, 85 / 255, 85 / 255)
            border.color: "black"
            Repeater {
                model: template.rects
                Rectangle {
                    color: "gray"
                    border.color: "black"
                    x: modelData.x * icon.width
                    y: modelData.y * icon.height
                    width: modelData.width * icon.width
                    height: modelData.height * icon.height
                }
            }
            OutputBorder {
                anchors.fill: parent
                colorType: "program"
                visible: isSelected
                borderWidth: 2
            }
        }
        MixerLabel {
            Layout.fillWidth: true
            text: template.name
            colorType: isSelected ? "program" : "neutral"
            font.pixelSize: MixerThemeManager.theme.systemFontSize
            horizontalAlignment: Text.AlignHCenter
        }   
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        acceptedButtons: Qt.LeftButton | Qt.RightButton
        onClicked: {
            if(mouse.button == Qt.LeftButton)
                root.leftButtonClicked()
            else 
                root.rightButtonClicked()
        }
        onDoubleClicked: if(mouse.button == Qt.LeftButton) root.doubleClicked()
    }    
}