import QtQuick 2.0
import "../../common"
import "utils"
import "../../common/utils"

Item {
    id: root
    property var stream: null
    readonly property ShaderEffectSource element: videoStreamAtlas.getByStream(stream)
    property alias fillMode: fillModeItem.fillMode
    readonly property real aspect: fillModeItem.aspect
    
    Rectangle {
        id: background
        anchors.fill: parent
        color: "black"
        visible: !!stream
    }
    FillModeItem {
        id: fillModeItem
        anchors.fill: parent
        visible: aspect > 0 && !!stream
        aspect: (root.element && root.element.height > 0) ? root.element.width / root.element.height : 0
        ShaderEffect {
            anchors.fill: parent
            property ShaderEffectSource source: root.element
        }
    }
}
