import QtQuick 2.1

Item {
    id: root
    property bool moveEnabled: true
    property bool show: true
    property vector2d moveDirection: Qt.vector2d(1, 0)
    default property alias content: contentItem.data
    property real moveProgress: !moveEnabled || show ? 1 : 0
    
    Behavior on moveProgress {
        enabled: root.moveEnabled
        NumberAnimation {
            duration: 300
        }
    }
    
    Binding {
        target: contentItem
        property: "x"
        value: root.moveEnabled ? (root.moveProgress - 1) * moveDirection.x * root.width : 0
    }
    
    Binding {
        target: contentItem
        property: "y"
        value: root.moveEnabled ? (root.moveProgress - 1) * moveDirection.y * root.height : 0
    }    
    
    MouseArea {     // blocker
        anchors.fill: parent
        hoverEnabled: enabled
        enabled: root.moveEnabled && root.show
    }
    
    Item {
        id: contentItem
        width: parent.width
        height: parent.height
        visible: root.moveProgress != 0
    }
}