import QtQuick 2.0
import Serialization 1.0

QtObject {
    id: root
    property string fileName
    property var defaultConfig
    readonly property var config: {
        if(!fileName) return {}
        var path = Serialization.applicationDataDirPath + "/" + fileName
        var result = Serialization.readFromJsonFile(path)
        if(result) return result
        if(!defaultConfig) {
            print("Can't load config file '%1'".arg(path))
            return {}
        }
        if(!Serialization.writeToJsonFile(path, defaultConfig)) {
            print("Can't write default config '%1'".arg(path))
        }
        return defaultConfig
    }
}