import QtQuick 2.1

Item {
    id: root
    property Item dragItem: null
    property point dragPosition
    property bool dragActive: dragItem && (dragItemContainer.opacity == 1)
    
    function drop() {
        if(!dragItem) return
        if(dragActive) dragItemContainer.Drag.drop()
        dragItem = null
    }
    
    Item {
        id: dragItemContainer
        x: root.dragPosition.x
        y: root.dragPosition.y
        Drag.active: root.dragActive
        Drag.keys: root.dragItem ? root.dragItem.Drag.keys : []
        property alias dragItem: root.dragItem
        property var dragData: root.dragItem ? root.dragItem.dragData : null
        property var dropCallback: root.dragItem ? root.dragItem.dropCallback : null
        opacity: root.dragItem != null ? 1.0 : 0.0
        Behavior on opacity {
             NumberAnimation { duration: dragItemContainer.opacity == 0 ? 200 : 1; easing.type: Easing.InExpo }
        }
        Item {
            data: root.dragItem
            x: root.dragItem ? -root.dragItem.width * 0.5 : 0
            y: root.dragItem ? -root.dragItem.height * 0.5 : 0
        }
    }
}