import QtQuick 2.1

MouseArea {
    property DragAndDropLayer dragAndDropLayer
    property Item dragItem
    
    onPressedChanged: {
        if(!dragAndDropLayer) return
        if(pressed) dragAndDropLayer.dragItem = dragItem
        else dragAndDropLayer.drop()
    }
    onMouseXChanged: if(dragAndDropLayer) dragAndDropLayer.dragPosition = getAbsoluteMousePosition()
    onMouseYChanged: if(dragAndDropLayer) dragAndDropLayer.dragPosition = getAbsoluteMousePosition()
    
    function getAbsoluteMousePosition() {
        var p = mapToItem(dragAndDropLayer, mouseX, mouseY)
        return Qt.point(p.x, p.y)
    }
}
