import QtQuick 2.0
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import "."
import "../../common/utils"

Item {
    id: root
    property var settings
    property var interval

    property AudioStream audioStream: MediaSessionAudioStream {
        volume: settings.volume || 0
        source: audioSink
    }

    MediaSession {
        autoPlay: true
        PostPlaySource {
            id: postPlaySource
            from: root.interval.from
            to: root.interval.to
            stream: {
                var storage = PostPlayService.getStorageByGuid(settings.storage)
                if(!storage) return null
                return storage.getStreamByName(settings.streamName)
            }
        }
        QtQuickAudioSink {
            id: audioSink
        }
        NodeConnection {
            from: postPlaySource.audioOutput
            to: audioSink.input
        }
    }
}
