import QtQuick 2.0

Item {
    id: root
    implicitWidth: shaderEffectSource.sourceRect.width
    implicitHeight: shaderEffectSource.sourceRect.height
    property vector4d cropping
    default property Item content
    ShaderEffectSource {
        id: shaderEffectSource
        anchors.fill: parent
        sourceItem: root.content
        hideSource: true
        mipmap: true
        sourceRect: {
            var rect = Qt.rect(0, 0, content.implicitWidth, content.implicitHeight)
            if(rect.width <= 0 || rect.height <= 0) return Qt.rect(0, 0, 0, 0)
            var x0 = rect.x + cropping.x
            var x1 = rect.x + rect.width - cropping.y
            var y0 = rect.y + cropping.z
            var y1 = rect.y + rect.height - cropping.w
            if(x1 < x0 + 1) x1 = x0 + 1
            if(y1 < y0 + 1) y1 = y0 + 1
            return Qt.rect(x0, y0, x1 - x0, y1 - y0)
        }
    }
}
