import QtQuick 2.0
import Serialization 1.0
import Multimedia 1.0
import Multimedia.PostPlay 1.0

Item {
    id: root
    readonly property bool running: !!mediaSession
    readonly property real progress: mediaSession ? mediaSession.progress : 0
    signal error()
    
    function runExport(settings) {
        mediaSessionLoader.setSource(Qt.resolvedUrl("ExporterMediaSession.qml"), {settings: settings})
    }
    
    function cancelExport() {
        Qt.callLater(function() {
            mediaSessionLoader.source = ""
        })
    }
    
    readonly property MediaSession mediaSession: mediaSessionLoader.item
    Connections {
        target: mediaSession
        onEnded: root.cancelExport()
        onStatusChanged: {
            if(!mediaSession) return
            else if(mediaSession.status == MediaSession.Error) {
                root.cancelExport()
                root.error()
            }
        }
    }
    Loader {
        id: mediaSessionLoader
    }
}
