import QtQuick 2.0
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import "."

Item {
    id: root
    property var interval
    property var settings
    readonly property alias sink: sink
    readonly property QtObject stream: {
            var storage = PostPlayService.getStorageByGuid(settings.storage)
            if(!storage) return null
            return storage.getStreamByName(settings.streamName)
    }
    MediaSession {
        enabled: !!root.stream
        autoPlay: true
        PostPlaySource {
            id: postPlaySource
            from: root.interval.from
            to: root.interval.to
            stream: root.stream
        }
        QtQuickSink {
            id: sink
        }
        NodeConnection {
            from: postPlaySource.videoOutput
            to: sink.input
        }
    }
}
