import QtQuick 2.1
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.1
import QtQuick.Window 2.0

import UdpProtocol 1.0

Window {
	id: root
    width: 800
    height: 600
	
	property string lastSource: "-"
	property var lastTimeBoard
	property var lastTimeMoscow
	property string lastValue: "-"
	property string lastDesc: "-"
	
	
	UdpProtocolClient {
		id: client
		addrLocal: "127.0.0.1"
		portControl: 8889 //5952
		portFeedback: 8888 //5951
		status: UdpProtocolClient.StatusOk
		
		onEventReceived: {
			root.lastSource = event.source
			root.lastTimeBoard = event.timeOnBoard
			root.lastTimeMoscow = event.timeMoscow
			root.lastValue = event.value
			root.lastDesc = event.description
		}
		
		Component.onCompleted: {			
			var addrs = NetworkAddressEnumerator.addresses;
			for (var i = 0; i < addrs.length; ++i)
			{
				print(addrs[i]);
			}
		}
	}
	
	ColumnLayout {
		anchors.fill: parent
	
		Text {
			font.pointSize: 18
			text: "[" + root.lastSource + "] "
				+ Qt.formatTime(root.lastTimeBoard, "hh:mm:ss")
				+ "/" + Qt.formatTime(root.lastTimeMoscow, "hh:mm:ss")
				+ " (" + root.lastValue + "# " + root.lastDesc + ")"
		}
		TextField {
			id: portListenField
			x: 150
			y: 150
			text: "0"
			inputMethodHints: Qt.ImhDigitsOnly
		}
		Button {
			text: "port to listen"
			onClicked: {
				client.portControl = parseInt(portListenField.text, 10)
			}
		}
	}
}
