import QtQuick 2.0
import Multimedia.PostPlay 1.0
import Serialization 1.0
import QtQml 2.2
import "../../common/utils"

ObjectCollection {
    id: root
    property alias archives: root.objects 
    objectComponent: Archive{}
    property Archive currentArchive

    function removeEmptyArchives() {
        for(var i = archives.length - 1; i >= 0; i--) {
            var archive = archives[i]
            if(archive == archiveRecorder.archive) continue
            if(!archive.sizeIsDefined) continue
            if(archives[i].size == 0) remove(i)
        }
    }

    ObjectSaver {
        id: objectSaver
        object: root
        fileUrl: Serialization.applicationDataDirPath + "/archives.json"
    }

    function save() {
        return {
            archives: saveObjects()
        }
    }

    function load(data) {
        loadObjects(data.archives)
    }

    function init() {
        if (0) {
            objectSaver.init()
        } else {    
            var data = PostPlayService.getArchiveCollection() || {}
            p('PostPlayService.getArchiveCollection INIT:',data,8);
            if(data) load(data);
        }    
    }
    
    Component.onCompleted : {
        PostPlayService.archiveChanged.connect(update);
    }

    function update() {
        var data = PostPlayService.getArchiveCollection() || {}
        p('PostPlayService.getArchiveCollection UPDATE:',data,8);
        if(data) load(data);
    }
    
    function setCurrent(index) {
        currentArchive = archives[index] || null
    }
    
    onRemoved: Serialization.removeFile(object.eventsUrl)
}
