import QtQuick 2.0
import Multimedia 1.0
import Multimedia.FDExt 1.0
import Multimedia.PostPlay 1.0
import "../../common/utils"

Object {
    id: root
    property url source
    property Stream stream
    readonly property alias status: session.status

    MediaSession {
        id: session
        recreateOnError: true
        autoPlay: true
        
        FDSource {
            id: sourceNode
            source: FdUtils.getFdInputByUrl(root.source)
        }
        PostPlaySink {
            id: sink
            stream: root.stream
        }
        NodeConnection {
            from: sourceNode.audioOutput
            to: sink.input
        }
    }
}
