import QtQuick 2.0
import Serialization 1.0
import "../../common/utils"

ObjectCollection {
    id: root
    property alias eventTypes: root.objects
    readonly property EventType defaultEventType: eventTypes[0] || null
    objectComponent: EventType {}

    readonly property var eventTypesInfo: objectSaver.savedData ? objectSaver.savedData.eventTypes : []
    signal changed()

    ObjectSaver {
        id: objectSaver
        object: root
        fileUrl: Serialization.applicationDataDirPath + "/event_types.json"
        onSavedDataChanged: root.changed()
    }

    function init() {
        objectSaver.init()
    }
    
    function save() {
        return {
            eventTypes: saveObjects()
        }
    }

    function load(data) {
        loadObjects(data.eventTypes)
    }
    
    function createDefault() {
        add(undefined, {type: qsTr("Default"), color: Qt.rgba(0.4, 0.4, 0.4, 1.0)})
    }
}
