import QtQuick 2.0
import Multimedia 1.0
import Multimedia.FDExt 1.0
import "../../common/utils"

Object {
    id: root
    property url source
    property alias active: mediaSession.enabled
    readonly property alias status: mediaSession.status
    readonly property alias audioSink: sink
    
    MediaSession {
        id: mediaSession
        autoPlay: true
        recreateOnError: true

        FDSource {
            id: sourceNode
            source: FdUtils.getFdInputByUrl(root.source)
        }
        QtQuickAudioSink {
            id: sink
        }
        NodeConnection {
            from: sourceNode.audioOutput
            to: sink.input
        }
    }
}
