import QtQuick 2.0
import Serialization 1.0
import "../../common/utils"

ObjectCollection {
    id: root
    property alias hotkeys: root.objects
    objectComponent: Hotkey {}

    readonly property var hotkeySequences: {
        var result = []
        for(var i = 0; i < hotkeys.length; i++) {
            var hotkey = hotkeys[i]
            if(result.indexOf(hotkey.sequence) >= 0) continue
            result.push(hotkey.sequence)
        }
        return result
    }

    ObjectSaver {
        object: root
        fileUrl: Serialization.applicationDataDirPath + "/hotkeys.json"
        Component.onCompleted: init()
    }

    function save() {
        return {
            hotkeys: saveObjects()
        }
    }

    function load(data) {
        loadObjects(data.hotkeys)
    }
}
