import QtQuick 2.0
import "../../common/utils"
import "utils"

Object {
    id: root
    property url source
    onSourceChanged: mediaSessionLoader.updateSource()

    readonly property var mediaTypes: (mediaSessionLoader.item && mediaSessionLoader.item.supportedMediaTypes) ? mediaSessionLoader.item.supportedMediaTypes : []

    // HACK: SharedObjectLoader забагован - первый созданный инстанс всегда удаляется первым (по крайней мере срабатывает
    // сигнал onDestruction, сам объект остаётся в каком-то зомби-состоянии - вроде и живой, а какие-то сигналы перестают работать)
    // Вместо него будем явно создавать сессию, но выставим ей autoPlay = false.
    /*Object {
        id: d
        readonly property alias media: fakeSessionLoader.object

        SharedObjectLoader {
            id: fakeSessionLoader
            source: root.source
            Media {}
        }
    }*/

    readonly property Loader mediaSessionLoader: Loader {
        id: mediaSessionLoader
        function updateSource() {
            source = ""
            var sourceString = root.source.toString()
            if (!sourceString || !sourceString.length) return

            var params = {
                autoPlay: false
            }

            if(sourceString.indexOf("fd:///") == 0) {
                params["deviceId"] = decodeURIComponent(sourceString.substring("fd:///".length))
                setSource("medias/FdMediaSession.qml", params)
            }
            else if(sourceString.indexOf("dl:///") == 0) {
                params["deviceId"] = decodeURIComponent(sourceString.substring("dl:///".length))
                setSource("medias/DlMediaSession.qml", params)
            }
            else if(sourceString.indexOf("dshow:///") == 0) {
                params["deviceId"] = decodeURIComponent(sourceString.substring("dshow:///".length))
                setSource("medias/DShowMediaSession.qml", params)
            }
            else if(sourceString.indexOf("test:///") == 0) {
                setSource("medias/TestMediaSession.qml", params)
            }
            else if (sourceString.indexOf("://") != -1) {
                params["source"] = root.source
                setSource("medias/FFmpegMediaSession.qml", params)
            }
        }
    }

    Component.onCompleted: {
        mediaSessionLoader.updateSource()
    }
}
