import QtQuick 2.0
import "../../common/utils"

Object {
    id: root
    property string name
    property Template template
    property var streams: []
    readonly property var rects: template ? template.rects : []
    
    function setStream(index, stream) {
        while(streams.length < rects.length) streams.push(null)
        if(index < 0 || index >= streams.length) return
        streams[index] = stream
        streams = streams
    }
    
    function removeStream(stream) {
        var removed = false
        for(var i = 0; i < streams.length; i++) {
            if(streams[i] == stream){
                streams[i] = null
                removed = true
            }
        }
        if(removed) streams = streams
    }
    
    function save() {
        var streamsData = []
        for (var i = 0; i < streams.length; i++) {
            streamsData.push(streams[i] ? streams[i].name : "")
        }
        return {
            name: name,
            template: template ? template.name : "",
            streams: streamsData
        }
    }

    function load(data) {
        name = data.name || ""
        template = templateCollection.getByName(data.template || "")
        streams = []
        var streamsData = data.streams || []
        for(var i = 0; i < streamsData.length; i++) {
            var stream = videoStreamCollection.getByName(streamsData[i])
            streams.push(stream || null)
        }
        streams = streams
    }
}
