import QtQuick 2.1
import QtQuick.Layouts 1.0

Item {
    id: root
    readonly property int captionCount: archivePlayer.eventCollection.maxPreviewedEventCount
    
    ColumnLayout {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
        Repeater {
            model: root.captionCount
            Text {
                id: eventCaption
                Layout.preferredWidth: root.width - 20
       
                text: {
                    var event = archivePlayer.eventCollection.previewedEvents[model.index]
                    if(!event) return ""
                    var text = ""
                    if (event.name && event.name.length) text += event.name + ": "
                    if (event.caption && event.caption.length) text += event.caption
                    return text
                }
                visible: !!text
                
                color: "white"
                style: Text.Outline
                font.pixelSize: captionsSettings.titlesFontSize
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
            }
        }
    }
}
