import QtQuick 2.0
import Multimedia 1.0
import Serialization 1.0
import "../../common/utils"
import "outputs"

Object {
    id: root
    property alias device: device
    readonly property alias savedData: objectSaver.savedData

    OutputDevice {
        id: device
        visualContent: OutputView {
            anchors.fill: parent
        }
        audioStream: audioStreamCollection.volumeAudioStream
    }

    ObjectSaver {
        id: objectSaver
        object: root
        fileUrl: Serialization.applicationDataDirPath + "/output.json"
        Component.onCompleted: init()
    }

    function save() {
        return {
            device: device.save()
        }
    }

    function load(data) {
        device.load(data.device)
    }

    function setDefault() {
        device.setDefault()
    }

}
