import QtQuick 2.0
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import "."

MediaSession {
    id: root
    property Stream stream
    property date from
    property date to
    readonly property alias audioSink: sink
    readonly property bool rateChangeSupported: false
    
    externalDuration: Math.max(0, to.getTime() - from.getTime())
    // EGOR !!! NEVER STOP ON POSITION CHANGES !!! //onPositionChanged: if(position > duration && !seeking) stop()
    Component.onCompleted: console.warn('PostPlayAUDIO.onCompleted'  ,stream && stream.name, statusString,topologyString)
    onStatusChanged:       console.warn('PostPlayAUDIO.StatusChanged',stream && stream.name, statusString)

    PostPlaySource {
        id: sourceNode
        stream: root.stream
        from: root.from
        to: new Date(root.to.getTime() + 100000)
    }

    QtQuickAudioSink {
        id: sink
    }
    
    NodeConnection {
        from: sourceNode.audioOutput
        to: sink.input
    }
}
