import QtQuick 2.0
import Multimedia 1.0
import Multimedia.PostPlay 1.0

MediaSession {
    id: root
    property Stream stream: []
    property date from
    property date to
    readonly property alias sink: sink
    readonly property bool rateChangeSupported: true
    property var videoStream: []

    externalDuration: Math.max(0, to.getTime() - from.getTime())
    // EGOR !!! NEVER STOP ON POSITION CHANGES !!! //onPositionChanged: { if(position > duration && !seeking) stop() }
    //onPositionChanged: { console.warn('PostPlayVIDEO.onPositionChanged',position); if(position > duration && !seeking) stop() }
    Component.onCompleted: console.warn('PostPlayVIDEO.onCompleted'  ,stream && stream.name, statusString,topologyString)
    onStatusChanged:       console.warn('PostPlayVIDEO.StatusChanged',stream && stream.name, statusString)
    readonly property var quality: getStreamQuality(videoStream,true)

    PostPlaySource {
        id: sourceNode
        stream: root.stream
        from: root.from
        to: new Date(root.to.getTime() + 100000)
        quality: root.quality
        onQualityChanged: p('PP Source '+videoStream.name+' quality='+quality)
    }
    QtQuickSink {
        id: sink
    }

    NodeConnection {
        from: sourceNode.videoOutput
        to: sink.input
    }
}
