import QtQuick 2.0
import Multimedia 1.0
import Multimedia.FFmpeg 1.0
import QtQml 2.2
import "utils"

Object {
    id: root
    property alias content: qtQuickSource.item
    property alias audioStream: qtQuickSource.audioStream
    property alias bitrate: videoEncoder.bitrate
    property alias frameSize: qtQuickSource.frameSize
    property alias frameRate: qtQuickSource.frameRate
    property bool enabled: true
    property bool enabledAudio: true
    property var urls: []
    MediaSession {
        id: encodingSession
        autoPlay: true
        enabled: root.enabled && urls.length > 0
        QtQuickSource {
            id: qtQuickSource
            frameSize: Qt.size(1280, 720)
            frameRate: Qt.size(30, 1)
            pixelFormat: QtQuickSource.NV12
        }
        FFmpegEncoder {
            id: videoEncoder
            codec: FFmpegEncoder.MPEG2
            bitrate: 4 * 1000000
        }
        /*
        VideoEncoder {
            id: videoEncoder
            codec: VideoEncoder.H264
            bitrate: 4 * 1000000
            hardware: VideoEncoder.AnyHardware
        }
        */
        onStatusChanged: p('streamer.StatusChanged '+statusString+' '+topologyString)        

        FFmpegSink {
            id: sink
            url: root.urls && root.urls[0]
        }

        NodeConnection {
            from: qtQuickSource.videoOutput
            to: videoEncoder.input
        }
        NodeConnection {
            from: videoEncoder.output
            to: sink.videoInput
        }


        AudioEncoder {
            id: audioEncoder
            codec: AudioEncoder.AAC
            bitrate: 96 * 1000/8
        }
        NodeConnection {
            from: qtQuickSource.audioOutput
            to: audioEncoder.input
        }
        NodeConnection {
            from: audioEncoder.output
            to: enabledAudio ? sink.audioInput : null
        }
    }

    /*
    Instantiator {
        model: root.urls
        delegate: MediaSession {
            id: streamingSession
            autoPlay: true
            ProxySource {
                id: proxySource
                source: proxySink
            }
            FFmpegSink {
                id: sink
                url: modelData
            }
            NodeConnection {
                from: proxySource.outputs[0] || null
                to: sink.videoInput
            }
        }
    }
    */
}
