import QtQuick 2.0
import Serialization 1.0
import "../../common/utils"

ObjectCollection {
    id: root
    property alias templates: root.objects
    objectComponent: Template{}

    ObjectSaver {
        id: objectSaver
        object: root
        fileUrl: Serialization.applicationDataDirPath + "/templates.json"
    }

    function init() {
        objectSaver.init()
    }
    
    function save() {
        return {
            templates: saveObjects()
        }
    }

    function load(data) {
        loadObjects(data.templates)
    }
    
    function createDefault() {
        var t
        t = add("Шаблон 1")
        t.addElement().rect = Qt.rect(0.0, 0.0, 1.0, 1.0)
        
        t = add("Шаблон 2")
        t.addElement().rect = Qt.rect(0.0, 0.0, 0.5, 0.5)
        t.addElement().rect = Qt.rect(0.5, 0.0, 0.5, 0.5)        
        t.addElement().rect = Qt.rect(0.0, 0.5, 0.5, 0.5)
        t.addElement().rect = Qt.rect(0.5, 0.5, 0.5, 0.5)
        
        t = add("Шаблон 3")
        t.addElement().rect = Qt.rect(0.0, 0.0, 1.0, 1.0)
        t.addElement().rect = Qt.rect(0.125, 0.125, 0.25, 0.25)
        
        t = add("Шаблон 4")
        t.addElement().rect = Qt.rect(0.0, 0.0, 1.0, 1.0)
        t.addElement().rect = Qt.rect(0.625, 0.125, 0.25, 0.25) 
        
        t = add("Шаблон 5")
        t.addElement().rect = Qt.rect(0.0, 0.0, 1.0, 1.0)
        t.addElement().rect = Qt.rect(0.25, 0.25, 0.5, 0.5) 
    }
}
