import QtQuick 2.0
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import "../../common/utils"

// TODO: временный вариант с использованием рендеринга в QtQuickSource, в дальнейшем нужно использовать разветвление топологии с помощью Proxy
Object {
    id: root
    
    property Stream stream
    property RecordingSettingsElement recordingSettings
    
    readonly property alias mediaSession: mediaSessionLoader.item
    readonly property int status: mediaSession ? mediaSession.status : MediaSession.Empty
    
    readonly property Loader mediaSessionLoader: Loader {
        id: mediaSessionLoader
        function updateSource() {
            mediaSessionLoader.source = ""
            var sourceString = root.source.toString()
            var params = {
                stream: root.stream,
                recordingSettings: root.recordingSettings
            }
            if (sourceString.indexOf("fd:///") == 0) {
                params[deviceId] = decodeURIComponent(sourceString.substring("fd:///".length))
                setSource("recorders/FdRecorder.qml", params)
            }
            else if (sourceString.indexOf("dl:///") == 0) {
                params[deviceId] = decodeURIComponent(sourceString.substring("dl:///".length))
                setSource("recorders/DlRecorder.qml", params)
            }
            else if (sourceString.indexOf("dshow:///") == 0) {
                params[deviceId] = decodeURIComponent(sourceString.substring("dshow:///".length))
                setSource("recorders/DShowRecorder.qml", params)
            }
            else if (sourceString.indexOf("test:///") == 0) {
                setSource("recorders/TestRecorder.qml", params)
            }
            else if (sourceString.indexOf("://") != -1) {
                setSource("recorders/FFmpegRecorder.qml", params)
            }
        }
    }
    
    /*MediaSession {
        id: session
        recreateOnError: true
        autoPlay: true
        QtQuickSource {
            id: sourceNode
            frameSize: Qt.size(1280, 720)
            frameRate: Qt.size(60, 1)
            pixelFormat: QtQuickSource.NV12
            item: MediaView {
                id: mediaView
                anchors.fill: parent
                media: {
                    var stream = videoStreamCollection.getStreamByUrl(root.source)
                    return stream ? stream.media : null
                }
            }
        }
        VideoEncoder {
            id: encoder
            codec: VideoEncoder.H264
            bitrate: root.bitrate * 1024
            hardware: root.hardware ? VideoEncoder.Nvidia : VideoEncoder.NoneHardware
        }
        PostPlaySink {
            id: sink
            stream: root.stream
        }
        NodeConnection {
            from: sourceNode.videoOutput
            to: encoder.input
        }        
        NodeConnection {
            from: encoder.output
            to: sink.input
        }
    }
    */
    readonly property int droppedFrameCount: sourceNode.videoStatistics.droppedFrameCount // TODO: tmp
    onDroppedFrameCountChanged: console.warn("Dropped frame count: ", droppedFrameCount)
    
}
