import QtQuick 2.0
import Serialization 1.0
import "../../common/utils"

ObjectCollection {
    id: root
    property alias streams: root.objects
    objectComponent: VideoStream {}
    property VideoStream currentStream

    ObjectSaver {
        id: objectSaver
        object: root
        fileUrl: Serialization.applicationDataDirPath + "/video_streams.json"
    }

    function getStreamByUrl(url,archived) {
        for(var i = 0; i < streams.length; i++) {
            var stream = streams[i]
            if (stream.source == url) {
                if (!!archived == (stream.name && stream.name.charAt(0)=='$')) return stream
            }    
        }
        return null
    }

    function setCurrentStream(value,monitor) { // HACK: установка свойства типа QtObject не работает по Rpc?
        currentStream = value
        if (monitor!=null) currentMonitorIndex = monitor
    }

    function toggleCurrentStream(value,any,monitor) { 
        currentStream = currentMonitorIndex==monitor && (currentStream==value || currentStream && any) ? null : value
        currentMonitorIndex = monitor
    }

    function init() {
        objectSaver.init()
    }
    
    function save() {
        return {
            streams: saveObjects()
        }
    }

    function load(data) {
        loadObjects(data.streams)
    }
}
