import QtQuick 2.0
import QtQuickUtils 1.0
import GuiControls 1.0
import "utils/FormatTime.js" as FormatTime

Item {
    id: root
    property VideoStream stream
    property int captionFontSize: 0
    implicitWidth: stream ? stream.resolution.width : 0
    implicitHeight: stream ? stream.resolution.height : 0
    readonly property alias contentRect: fillModeItem.contentRect
    FillModeItem {
        id: fillModeItem
        anchors.fill: parent
        aspect: stream ? stream.aspect : 0
        OffscreenItemView {
            anchors.fill: parent
            source: stream ? stream.visualContent : null
            ChessBoard {
                visible: !stream
                anchors.fill: parent
                Text {
                    anchors.centerIn: parent
                    text: "Нет источника"
                    color: Qt.rgba(251 / 255, 145 / 255, 104 / 255)
                    style: Text.Outline
                    font.pixelSize: root.captionFontSize
                }
            }
            Text {
                id: caption
                x: root.captionFontSize * 0.5
                text: root.stream ? root.stream.caption : ""
                color: stream && stream.archived ? "yellow" : "white"
                style: Text.Outline
                font.pixelSize: root.captionFontSize
                visible: root.captionFontSize > 0
            }
            Text {
                anchors.centerIn: parent
                text: (stream && !stream.hasData) ? qsTr("No data") : ""
                color: Qt.rgba(0.9, 0.1, 0.1, 1.0)
                font.pixelSize: root.captionFontSize
                visible: root.captionFontSize > 0
            }    
        }
    }
}

