import QtQml 2.2
import Multimedia 1.0
import Multimedia.DirectShow 1.0

MediaSession {
    id: root    
    property string deviceId    
    property alias mediaType: sourceNode.videoType
    readonly property alias supportedMediaTypes: sourceNode.supportedVideoTypes
    readonly property alias videoSink: videoSink
    property var stream: []

    recreateOnError: true
    autoPlay: true
    DirectShowSource {
        id: sourceNode
        device: DirectShowDevices.getVideoDevice(deviceId)
    }
    QtQuickSink {
        id: videoSink
    }
    NodeConnection {
        from: sourceNode.videoOutput
        to: videoSink.input
    }
}
