import QtQml 2.2
import Multimedia 1.0
import Multimedia.DeckLink 1.0

MediaSession {
    id: root    
    property string deviceId
    readonly property alias videoSink: videoSink
    property alias mediaType: sourceNode.videoType
    property alias supportedMediaTypes: sourceNode.supportedVideoTypes
    readonly property QtObject device: {
        for(var i = 0; i < DeckLink.inputs.length; i++) {
            var input = DeckLink.inputs[i]
            if(input.id == deviceId) return input
        }
        return null
    }

    recreateOnError: true
    autoPlay: true
    DeckLinkSource {
        id: sourceNode
        source: root.device
    }
    QtQuickSink {
        id: videoSink
    }
    NodeConnection {
        from: sourceNode.videoOutput
        to: videoSink.input
    }
}
