import QtQml 2.2
import Multimedia 1.0
import Multimedia.FFmpeg 1.0

MediaSession {
    id: root    
    property var source: sourceNode.url
    property alias mediaType: sourceNode.currentVideoTrack
    readonly property alias supportedMediaTypes: sourceNode.videoTracks
    readonly property alias videoSink: videoSink
    property var stream: []

    recreateOnError: true
    autoPlay: true

    onStatusChanged: {
        p('FFmpegSource '+source +' duration:'+duration+' '+statusString+' '+topologyString)
        if((status == MediaSession.Stopped || status == MediaSession.Paused) && duration == 0) play()
    }       

    FFmpegSource {
        id: sourceNode
        url: (''+source).split('#')[0]
        loops: 0
        udpBufferSize: 0x200000
        bufferSize: 1000
    }
    QtQuickSink {
        id: videoSink
    }
    NodeConnection {
        from: sourceNode.videoOutput
/*
        to: videoProcessor.input
    }
    VideoProcessor {
        id: videoProcessor
        pixelFormat: VideoProcessor.NV12
    }
    NodeConnection {
        from: videoProcessor.output
*/        
        to: videoSink.input
    }
}
