import QtQml 2.2
import Multimedia 1.0
import Multimedia.FDExt 1.0

MediaSession {
    id: root
    property string deviceId
    property var mediaType
    property var stream: []
    readonly property var supportedMediaTypes: []
    readonly property alias videoSink: videoSink
    readonly property real aspect: device ? device.aspect.width/device.aspect.height : 0
    readonly property var quality: getStreamQuality(stream,false)

    readonly property QtObject device: {
        for(var i = 0; i < FD.inputs.length; i++) {
            var input = FD.inputs[i]
            if(input.name == deviceId) return input
        }
        return null
    }

    recreateOnError: true
    autoPlay: true
    FDSource {
        id: sourceNode
        source: root.device
        quality: root.quality
        onQualityChanged: p('FD Source '+stream.name+' quality='+quality)
    }
    QtQuickSink {
        id: videoSink
    }

    NodeConnection {
        from: sourceNode.videoOutput
        to: videoSink.input
    }
}
