import QtQml 2.2
import Multimedia 1.0
import Multimedia.FFmpeg 1.0

MediaSession {
    id: root
    property var stream: []
    property var mediaType: Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1280, 720), frameRate: Qt.size(60, 1)})
    readonly property var supportedMediaTypes: [
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1920, 1080), frameRate: Qt.size(60, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1920, 1080), frameRate: Qt.size(50, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1920, 1080), frameRate: Qt.size(25, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1280, 720), frameRate: Qt.size(60, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1280, 720), frameRate: Qt.size(50, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(1280, 720), frameRate: Qt.size(25, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(720, 576), frameRate: Qt.size(60, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(720, 576), frameRate: Qt.size(50, 1)}),
        Multimedia.videoType({subtype: "RGB32", frameSize: Qt.size(720, 576), frameRate: Qt.size(25, 1)})
    ]
    readonly property alias videoSink: videoSink
    
    recreateOnError: true
    autoPlay: true
    RunningLineSource {
        id: sourceNode
        frameSize: (root.mediaType || supportedMediaTypes[0]).frameSize
        frameRate: (root.mediaType || supportedMediaTypes[0]).frameRate
    }
    QtQuickSink {
        id: videoSink
    }
    NodeConnection {
        from: sourceNode.output
        to: videoSink.input
    }
}
