import QtQml 2.2
import QtQuick 2.0
import Multimedia 1.0
import MultipleScreens 1.0
import "../../../common/utils"

Object {
    id: root
    property alias deviceId: output.screenIndex
    property alias visualContent: output.sourceItem
    property AudioStream audioStream
    signal closed()
    readonly property int status: {
        if(output.status == ScreenOutput.Empty) return MediaSession.Empty
        else if(output.status == ScreenOutput.Ready) return MediaSession.Playing
        else return MediaSession.Error
    }
    
    ScreenOutput {
        id: output
        onMouseDoubleClicked: root.closed()
        onClosed: root.closed()
    }
}
