import QtQuick 2.0
import Multimedia 1.0
import Multimedia.FDExt 1.0
import Multimedia.PostPlay 1.0

MediaSession {
    id: root
    recreateOnError: true
    autoPlay: false

    property Stream stream
    property var settings

    property variant mediaType
    readonly property var supportedMediaTypes: []


    readonly property QtObject fdInput: {
        if (!root.settings || !root.settings.source) return null
        var inputName = decodeURIComponent(settings.source.toString().substring("fd:///".length))
        for(var i in FD.inputs) {
            var input = FD.inputs[i]
            if(input && input.name == inputName) return input
        }
        return null
    }

    FDSource {
        id: sourceNode
        source: root.fdInput
    }
    PostPlaySink {
        id: sink
        stream: root.stream
    }
    NodeConnection {
        from: sourceNode.audioOutput
        to: sink.input
    }
}
