import QtQml 2.2
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import Multimedia.FFmpeg 1.0

MediaSession {
    id: root
    property Stream stream
    property var settings
    property alias mediaType: sourceNode.currentVideoTrack
    readonly property alias supportedMediaTypes: sourceNode.videoTracks

    recreateOnError: true
    autoPlay: false

    FFmpegSource {
        id: sourceNode
        loops: 0
        url: root.settings ? root.settings.source : ""
        currentVideoTrack: (root.settings.mediaType !== undefined) ? root.settings.mediaType : Multimedia.videoType()
    }

    onStatusChanged: p('FFmpegRecord '+sourceNode.url +' duration:'+duration+' '+statusString+' '+topologyString)
    
    VideoEncoder {
        id: encoder
        codec: VideoEncoder.H264
        bitrate: root.settings.bitrate * 1024
        hardware: root.settings.hardware ? VideoEncoder.Nvidia : VideoEncoder.NoneHardware
    }
    PostPlaySink {
        id: sink
        stream: root.stream
    }
    NodeConnection {
        from: sourceNode.videoOutput
/*
        to: videoProcessor.input
    }
    VideoProcessor {
        id: videoProcessor
        pixelFormat: VideoProcessor.NV12
    }
    NodeConnection {
        from: videoProcessor.output
*/
        to: encoder.input
    }
    NodeConnection {
        from: encoder.output
        to: sink.input
    }
}
