import QtQml 2.2
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import Multimedia.FDExt 1.0

MediaSession {
    id: root
    property Stream stream
    property var settings
    property string deviceId

    property var mediaType
    readonly property var supportedMediaTypes: []

    readonly property QtObject device: {
        for(var i = 0; i < FD.inputs.length; i++) {
            var input = FD.inputs[i]
            if(input.name == deviceId) return input
        }
        return null
    }

    recreateOnError: true
    autoPlay: false

    FDSource {
        id: sourceNode
        source: root.device
    }
    VideoProcessor {
        id: videoProcessor
        pixelFormat: VideoProcessor.NV12
    }
    VideoEncoder {
        id: encoder
        codec: VideoEncoder.H264
        bitrate: root.settings.bitrate * 1024
        hardware: root.settings.hardware ? VideoEncoder.Nvidia : VideoEncoder.NoneHardware
    }
    PostPlaySink {
        id: sink
        stream: root.stream
    }
    NodeConnection {
        from: sourceNode.videoOutput
        to: videoProcessor.input
    }
    NodeConnection {
        from: videoProcessor.output
        to: encoder.input
    }
    NodeConnection {
        from: encoder.output
        to: sink.input
    }
}
