import QtQml 2.2
import Multimedia 1.0
import Multimedia.PostPlay 1.0
import Multimedia.FDExt 1.0

MediaSession {
    id: root
    property Stream stream
    property var settings
    property string deviceId

    property var mediaType

    recreateOnError: true
    autoPlay: false

    RunningLineSource {
        id: sourceNode
        frameSize: root.mediaType ? root.mediaType.frameSize : Qt.size(1920, 1080)
        frameRate: root.mediaType ? root.mediaType.frameRate : Qt.size(25, 1)
    }
    /*
    VideoProcessor {
        id: videoProcessor
        pixelFormat: VideoProcessor.NV12
    }
    */
    VideoEncoder {
        id: encoder
        codec: VideoEncoder.H264
        bitrate: root.settings.bitrate * 1024
        hardware: root.settings.hardware ? VideoEncoder.Nvidia : VideoEncoder.NoneHardware
    }
    PostPlaySink {
        id: sink
        stream: root.stream
    }
    NodeConnection {
        from: sourceNode.output
/*        
        to: videoProcessor.input
    }
    NodeConnection {
        from: videoProcessor.output
*/        
        to: encoder.input
    }
    NodeConnection {
        from: encoder.output
        to: sink.input
    }
}
