import QtQml 2.2
import "."

QtObject {
    id: root
    property url source
    default property Component component
    property bool active: true
    property int quality
    property bool reloading
    
    property QtObject object // readonly
    property bool _completed
    
    function updateObject() {
        if(object && (object.source != source || !active)) {
            SharedObjectManager.removeLoader(root)
            object = null
        }
        if(!object && active && !!source.toString()) {
            object = SharedObjectManager.addLoader(root)
        }
    }
    
    onSourceChanged: if(_completed) updateObject()
    onActiveChanged: if(_completed) updateObject()
    Component.onCompleted: {
        updateObject()
        _completed = true
    }
    Component.onDestruction: SharedObjectManager.removeLoader(root)
}